<?php 
ob_start();
session_start();
require_once 'connectdb.php';
require_once '../header.php';

$func = $_GET['func'];

if ($func == 1){
	$nip_pegawai = $nip_login;
	getPenilaian($nip_pegawai);
} 


function getPenilaian($nip_pegawai){
	$conn = connect_database();


	// Cari id_penilaian
	$id_penilaian = 0;
	$sql = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$nip_pegawai' AND periode = YEAR(CURDATE())";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil id_penilaiannya
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_penilaian = $row['id_penilaian'];
	    }
	}

	// Get data pejabat penilai & atasan pejabat penilai
	$penilai = getPegawai(getNIPPejabatPenilai($nip_pegawai));
	$_SESSION['penilai_nip'] = $penilai['nip'];
	$_SESSION['penilai_nama'] = $penilai['nama'];
	$_SESSION['penilai_golongan'] = $penilai['golongan'];
	$_SESSION['penilai_ruang'] = $penilai['ruang'];
	$_SESSION['penilai_pangkat'] = $penilai['pangkat'];
	$_SESSION['penilai_unit'] = $penilai['unit_kerja'];

	$atasan = getPegawai(getNIPAtasanPenilai($nip_pegawai));
	$_SESSION['atasan_nip'] = $atasan['nip'];
	$_SESSION['atasan_nama'] = $atasan['nama'];
	$_SESSION['atasan_golongan'] = $atasan['golongan'];
	$_SESSION['atasan_ruang'] = $atasan['ruang'];
	$_SESSION['atasan_pangkat'] = $atasan['pangkat'];
	$_SESSION['atasan_unit'] = $atasan['unit_kerja'];

	// Get SKP
	$sql = "SELECT nilai FROM skp WHERE id_penilaian = '$id_penilaian' ;";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $nilai_skp = $row['nilai'];
	    }
	} else {
		$nilai_skp = 0;
	}
	$_SESSION['nilai_skp'] = $nilai_skp;

	// Get Perilaku Kerja
	$sql = "SELECT pelayanan, integritas, komitmen, disiplin, kerjasama, kepemimpinan FROM perilaku_kerja WHERE id_penilaian = $id_penilaian";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
			$nilai_pk = ($row["pelayanan"] + $row["integritas"] + $row["komitmen"] + $row["disiplin"] + $row["kerjasama"] + $row["kepemimpinan"])/6;
	    }
	} else {
		$nilai_pk = 0;
	}
	$_SESSION['nilai_pk'] = $nilai_pk;

	// Insert nilai to penilaian
	$nilai = $nilai_skp*0.6 + $nilai_pk+0.4;
	updateNilai($id_penilaian, $nilai);

	header( 'Location: ../lihat_penilaian.php' ) ;
	exit();

}

function getNIPPejabatPenilai($nip_pegawai){
	$conn = connect_database2();
	$sql = "SELECT id_atasan FROM pegawai WHERE nip = '$nip_pegawai' ;";
	$result = $conn->query($sql);

	$nip_penilai ="";
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	       $nip_penilai=$row['id_atasan'];
	    }
	} else {
		echo "0 results<br>";
	}

	return $nip_penilai;
}

function getNIPAtasanPenilai($nip_pegawai){
	$nip_penilai = getNIPPejabatPenilai($nip_pegawai);
	$nip_atasan = getNIPPejabatPenilai($nip_penilai);

	return $nip_atasan;
}

function getPegawai($nip_pegawai){
	$conn = connect_database2();
	$sql = "SELECT nip, nama, golongan, ruang, unit_kerja, pangkat FROM pegawai NATURAL JOIN kepangkatan WHERE nip = '$nip_pegawai' ;";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	    	$pegawai['nip'] = $row['nip'];
	    	$pegawai['nama'] = $row['nama'];
	    	$pegawai['golongan'] = $row['golongan'];
	    	$pegawai['ruang'] = $row['ruang'];
	    	$pegawai['unit_kerja'] = $row['unit_kerja'];
	    	$pegawai['pangkat'] = $row['pangkat'];
	    }
	}

	return $pegawai;
}

function updateNilai($id_penilaian, $nilai){
	$conn = connect_database();
	$sql = "UPDATE penilaian SET nilai=$nilai, modified_at=now() WHERE id_penilaian = '$id_penilaian' ";

	if ($conn->query($sql) === TRUE) {
	    echo "New record created successfully";
	} else {
	    echo "Error: " . $sql . "<br>" . $conn->error;
	}
}
ob_end_flush();
?>