<?php 

ob_start();
session_start();
require_once 'connectdb.php';
require_once '../header.php';

$func = $_GET['func'];

if ($func == 1){
	$nip_pegawai = $_GET['nip'];
	insertPerilakuKerja($nip_pegawai);
} 
else if ($func == 2){
	$nip_pegawai = $_GET['nip'];
	getPerilakuKerja($nip_pegawai);
} 
else if ($func == 3){
	$nip_atasan = $nip_login; // harusnya dari SESSION atau COOKIE atau apapun
	getAllBawahan($nip_atasan);
}
else if ($func == 4){
	$nip = $nip_login; // harusnya dari SESSION atau COOKIE atau apapun
	getPerilakuKerjaPribadi($nip);
}
else if ($func == 5){
	$nip_pegawai = $_GET['nip'];
	isEditable($nip_pegawai);
} 

function insertPerilakuKerja($nip_pegawai){
	$conn = connect_database();

	$id_penilai = $_COOKIE["nip"]; // harusnya dari SESSION atau COOKIE atau apapun

	// Cek apakah NIP & periode sudah ada di tabel penilaian
	$id_penilaian = 0;
	$sql = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$nip_pegawai' AND periode = YEAR(CURDATE())";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil id_penilaiannya
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_penilaian = $row["id_penilaian"];
	        echo "udah ada penilaian " . $id_penilaian. "<br>";
	    }
	} else { // Jika belum ada, buat record di tabel penilaian
	    $sql1 = "INSERT INTO penilaian (id_pegawai, id_penilai, periode)
		VALUES ('$nip_pegawai','$id_penilai', YEAR(CURDATE()))";
		echo "sql1 = ".$sql1 ;
		if ($conn->query($sql1) === TRUE) {
		    echo "New record created successfully";
		} else {
		    echo "Error: " . $sql . "<br>" . $conn->error;
		}

		$sql2 = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$nip_pegawai' AND periode = YEAR(CURDATE())";
		$result = $conn->query($sql2);

		if ($result->num_rows > 0) {
		    while($row = $result->fetch_assoc()) {
		        $id_penilaian = $row["id_penilaian"];
		    }
		}

		 echo "belom ada penilaian " . $id_penilaian. "<br>";

	}

	// Cek apakah perilaku udah ada dgn id_penilaian yg didapatkan
	echo "id_penilaian " . $id_penilaian. "<br>";
	$id_perilaku = 0;
	$sql = "SELECT id_perilaku FROM perilaku_kerja WHERE id_penilaian = $id_penilaian";
	$result = $conn->query($sql);

	$pelayanan = (int) $_POST["pelayanan"];
	$integritas = (int) $_POST["integritas"];
	$komitmen = (int) $_POST["komitmen"];
	$disiplin = (int) $_POST["disiplin"];
	$kerjasama = (int) $_POST["kerjasama"];
	$kepemimpinan = (int) $_POST["kepemimpinan"];

	// Jika sudah ada, update
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_perilaku = $row["id_perilaku"];
	    }

	    $sql1 = "UPDATE perilaku_kerja
	    SET pelayanan=$pelayanan , integritas=$integritas, komitmen=$komitmen, disiplin=$disiplin, kerjasama=$kerjasama, kepemimpinan=$kepemimpinan, modified_at=now()
	    WHERE id_perilaku = '$id_perilaku' ";

		if ($conn->query($sql1) === TRUE) {
		    echo "New record created successfully";
		} else {
		    echo "Error: " . $sql . "<br>" . $conn->error;
		}


	} else { // Jika belom ada, insert

		$sql1 = "INSERT INTO perilaku_kerja (pelayanan, integritas, komitmen, disiplin, kerjasama, kepemimpinan, id_penilaian)
		VALUES ($pelayanan, $integritas, $komitmen, $disiplin, $kerjasama, $kepemimpinan, $id_penilaian)";

		if ($conn->query($sql1) === TRUE) {
		    echo "New record created successfully";
		} else {
		    echo "Error: " . $sql . "<br>" . $conn->error;
		}

	}

	getPerilakuKerja($nip_pegawai);
}

function getPerilakuKerja($nip_pegawai){
	$conn = connect_database();


	// Cari id_penilaian
	$id_penilaian = 0;
	$sql = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$nip_pegawai' AND periode = YEAR(CURDATE())";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil id_penilaiannya
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_penilaian = $row["id_penilaian"];
	    }
	} else { // Jika belum ada, isi form
		$_SESSION['nip_pegawai'] = $nip_pegawai;
		header( 'Location: ../form_perilaku_kerja.php' ) ;
		exit();
	}

	// Cari id_perilaku
	$id_perilaku = 0;
	$sql = "SELECT id_perilaku, pelayanan, integritas, komitmen, disiplin, kerjasama, kepemimpinan FROM perilaku_kerja WHERE id_penilaian = $id_penilaian";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_perilaku = $row["id_perilaku"];
	        $_SESSION['pk_pelayanan'] = $row["pelayanan"];
			$_SESSION['pk_integritas'] = $row["integritas"];
			$_SESSION['pk_komitmen'] = $row["komitmen"];
			$_SESSION['pk_disiplin'] = $row["disiplin"];
			$_SESSION['pk_kerjasama'] = $row["kerjasama"];
			$_SESSION['pk_kepemimpinan'] = $row["kepemimpinan"];
	    }
	} else { // Jika tidak ada
		header( 'Location: ../form_perilaku_kerja.php' );
		exit();
	}

	$_SESSION['edit_status'] = isEditable($nip_pegawai);

	header( 'Location: ../lihat_perilaku_kerja.php?nip='.$nip_pegawai ) ;
	exit();

}

function getAllBawahan($nip_atasan){
	$conn = connect_database2();
	$array = array();

	$sql = "SELECT nip, id_penduduk, nama, golongan, unit_kerja FROM pegawai WHERE id_atasan = '$nip_atasan' ;";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $array[] = $row;
	    }
	} else {
		echo "0 results <br>";
	}

	$_SESSION['all_bawahan'] = $array;
	header( 'Location: ../list_perilaku_kerja.php' ) ;
	exit();
}

function getPerilakuKerjaPribadi($nip_pegawai){
	$conn = connect_database();


	// Cari id_penilaian
	$id_penilaian = 0;
	$sql = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$nip_pegawai' AND periode = YEAR(CURDATE())";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil id_penilaiannya
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_penilaian = $row["id_penilaian"];
	    }
	} else { // Jika belum ada, isi form
		$_SESSION['nip_pegawai'] = $nip_pegawai;
		$_SESSION['pk_pelayanan'] = 0;
		$_SESSION['pk_integritas'] = 0;
		$_SESSION['pk_komitmen'] = 0;
		$_SESSION['pk_disiplin'] = 0;
		$_SESSION['pk_kerjasama'] = 0;
		$_SESSION['pk_kepemimpinan'] = 0;
	}

	// Cari id_perilaku
	$id_perilaku = 0;
	$sql = "SELECT id_perilaku, pelayanan, integritas, komitmen, disiplin, kerjasama, kepemimpinan FROM perilaku_kerja WHERE id_penilaian = $id_penilaian";
	$result = $conn->query($sql);

	// Jika sudah ada, ambil
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_perilaku = $row["id_perilaku"];
	        $_SESSION['pk_pelayanan'] = $row["pelayanan"];
			$_SESSION['pk_integritas'] = $row["integritas"];
			$_SESSION['pk_komitmen'] = $row["komitmen"];
			$_SESSION['pk_disiplin'] = $row["disiplin"];
			$_SESSION['pk_kerjasama'] = $row["kerjasama"];
			$_SESSION['pk_kepemimpinan'] = $row["kepemimpinan"];
			$_SESSION['nip_pegawai'] = $nip_pegawai;
	    }
	} else { // Jika tidak ada
		$_SESSION['nip_pegawai'] = $nip_pegawai;
		$_SESSION['pk_pelayanan'] = 0;
		$_SESSION['pk_integritas'] = 0;
		$_SESSION['pk_komitmen'] = 0;
		$_SESSION['pk_disiplin'] = 0;
		$_SESSION['pk_kerjasama'] = 0;
		$_SESSION['pk_kepemimpinan'] = 0;
	}


	header( 'Location: ../lihat_perilaku_kerja_pribadi.php' ) ;
	exit();

}

function isEditable($nip_pegawai){
	$conn = connect_database();
	
	$id_penilai = $_COOKIE["nip"];
	$id_penilaian = 0;
	$sql = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$nip_pegawai' AND periode = YEAR(CURDATE())";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $id_penilaian = $row["id_penilaian"];
	    }
	}
	echo $id_penilaian . "<br/>";

	$sql = "SELECT persetujuan_pegawai FROM penilaian WHERE id_penilaian = $id_penilaian";
	$result = $conn->query($sql);
	$edit = true;
	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	    	echo $row['persetujuan_pegawai'] . "<br/>";
	    	if($row['persetujuan_pegawai']==1 || $row['persetujuan_pegawai']==3)
	    		$edit=false;
	    }
	} else {
		echo "persetujuan_pegawai no result <br/>";
	}

	echo $edit . "<br/>";
	return $edit;
}

ob_end_flush();
?>