<?php 
require_once 'connectdb.php';

function getStatistik(){
	
	$skpd = getSKPD();
	$penilaian = getPenilaianUnitKerja();
	$res = array();
	$i = 0;
	// hitung per skpd
	foreach ($skpd as $skpd){
		$sum = 0;
		$count = 0;
		$avg = 0;
		foreach($penilaian as $n){
			if (strcmp($skpd['nama'], $n['unit_kerja']) == 0) {
				$res[$i]['nama'] = $skpd['nama'];
				$sum += $n['nilai'];
				$count++;
			}
		}
		if ($count != 0) {
			$avg = $sum/$count;
			$res[$i]['avg'] = $avg;
			$i++;
		}	
	}

	return $res;
}

function getSKPD(){
	$connp = connect_database2();
	// get all skpd
	$skpd = array();
	$sql = "SELECT nama FROM skpd;";
	$result = $connp->query($sql);

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $skpd[] = $row;
	    }
	} else {
		echo "0 results <br>";
	}

	return $skpd;
}

function getPenilaian(){
	$connl = connect_database();
	// get nilai
	$penilaian = array();
	$sql = "SELECT id_pegawai, nilai FROM penilaian;";
	$result = $connl->query($sql);

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        $penilaian[] = $row;
	    }
	} else {
		echo "0 results <br>";
	}

	return $penilaian;
}

function getPenilaianUnitKerja(){
	$connp = connect_database2();
	$penilaian = getPenilaian();
	
	// get unit kerja pegawai
	$sql = "SELECT nip, unit_kerja FROM pegawai;";
	$result = $connp->query($sql);

	$ret=array();
	$i=0;

	if ($result->num_rows > 0) { 
	    while($row = $result->fetch_assoc()) {
	        foreach ($penilaian as $n){
	        	if ($row['nip'] == $n['id_pegawai']){
	        		$ret[$i]['unit_kerja'] = $row['unit_kerja'];
	        		$ret[$i]['nip'] = $n['id_pegawai'];
	        		$ret[$i]['nilai'] = $n['nilai'];

	        		/*echo $ret[$i]['unit_kerja'] . "<br/>";
	        		echo $ret[$i]['nip'] . "<br/>";
	        		echo $ret[$i]['nilai'] . "<br/>";*/

	        		$i++;

	        		break;
	        	}
			}
	    }
	} else {
		echo "0 results <br>";
	}

	return $ret;
}

?>