<?php session_start(); 
$nip_pegawai = $_GET['nip']; ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Formulir Penilaian Perilaku Kerja</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  <?php $current_page = "Perilaku Kerja" ; ?>
  <?php require_once 'header.php' ?>
  <?php require_once 'aside.php' ?>


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pegawai</a></li>
                <li><i class="fa fa-angle-right"></i>Penilaian Perilaku Kerja</li>
                <li class="active"><i class="fa fa-angle-right"></i><?php echo $nip_pegawai; ?></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Formulir Penilaian Perilaku Kerja</h1>
          </div>      
      <!-- App-content-body -->  




<div class="wrapper-lg bg-light" ng-controller="FormDemoCtrl">
  <div class="row">
    <div class="col-sm-4">
      <div class="panel panel-default">
        <div class="panel-heading font-bold">Perilaku Kerja</div>
        <div class="panel-body">
          <?php 
            $formlink = "controller/perilaku_kerja_controller.php?func=1&nip=" . $nip_pegawai;
            $pelayanan = $_SESSION['pk_pelayanan'];
            $integritas = $_SESSION['pk_integritas'];
            $komitmen = $_SESSION['pk_komitmen'];
            $disiplin = $_SESSION['pk_disiplin'];
            $kerjasama = $_SESSION['pk_kerjasama'];
            $kepemimpinan = $_SESSION['pk_kepemimpinan'];
          ?>
          <form class="bs-example form-horizontal" action=" <?php echo $formlink; ?> " method="post">
            <div class="form-group">
              <label class="col-lg-6 control-label">Orientasi Pelayanan</label>
              <div class="col-lg-6">
                <input type="number" min="0" class="form-control" name="pelayanan" value="<?php echo $pelayanan; ?>">
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-6 control-label">Integritas</label>
              <div class="col-lg-6">
                <input type="number" min="0" class="form-control" name="integritas" value="<?php echo $integritas; ?>">
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-6 control-label">Komitmen</label>
              <div class="col-lg-6">
                <input type="number" min="0" class="form-control" name="komitmen" value="<?php echo $komitmen; ?>">
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-6 control-label">Disiplin</label>
              <div class="col-lg-6">
                <input type="number" min="0" class="form-control" name="disiplin" value="<?php echo $disiplin; ?>">
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-6 control-label">Kerjasama</label>
              <div class="col-lg-6">
                <input type="number" min="0" class="form-control" name="kerjasama" value="<?php echo $kerjasama; ?>">
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-6 control-label">Kepemimpinan</label>
              <div class="col-lg-6">
                <input type="number" min="0" class="form-control" name="kepemimpinan" value="<?php echo $kepemimpinan; ?>">
              </div>
            </div>

            <div class="form-group">
              <div class="col-lg-offset-8 col-lg-4">
                <button type="submit" class="btn btn-sm btn-info">Simpan</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="col-sm-4">
        <div class="panel panel-default">
            <div class="panel-heading font-bold">Kehadiran Pegawai</div>
            <div class="panel-body">
                <?php require_once 'controller/connectdb.php';
                        $conn = connect_database();
                        $id_pegawai = $nip_pegawai;
                        $sql = "SELECT * FROM `kehadiran` WHERE id_pegawai='" . $id_pegawai . "'AND periode=YEAR(CURDATE());";
                        if ($result = mysqli_query($conn, $sql)){
                            while($get = mysqli_fetch_assoc($result))
                            {
                        
                ?>
                <label>Presentase Kehadiran:</label> <?php echo $get["presentase_kehadiran"];?>%<br>
                <label>Jumlah Absen: </label> <?php echo $get["jumlah_absen"];?><br>
                <label>Rekap Alasan Izin: </label> <?php echo $get["alasan_izin"];?><br>
                <?php }}
                $conn->close();?>
            </div>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="panel panel-default">
            <div class="panel-heading font-bold">Pendidikan dan Pelatihan</div>
            <div class="panel-body">
                <?php require_once 'controller/connectdb.php';
                        $conn = connect_database();
                        $id_pegawai = $nip_pegawai;
                        $sql = "SELECT * FROM `pendidikan` WHERE id_pegawai='" . $id_pegawai . "';";
                        if ($result = mysqli_query($conn, $sql)){
                            while($get = mysqli_fetch_assoc($result))
                            {
                        
                ?>
                <div class="panel panel-default">
                    <div class="panel-body">
                        <label>Nama kegiatan:</label> <?php echo $get["kegiatan"];?><br>
                        <label>Tanggal kegiatan: </label> <?php echo $get["tanggal"];?><br>
                        <label>Hasil: </label> <?php echo $get["hasil"];?><br>
                        <label>Keterangan: </label> <?php echo $get["keterangan"];?><br>
                    </div>
                </div>
                <?php       }
                        }$conn->close();?>
            </div>
        </div>
    </div>
  </div>
</div>

  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>
