<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Persetujuan Sasaran Kerja Pegawai</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  <?php
  $current_page = "Persetujuan SKP" ;
  require_once 'header.php';
  require_once 'aside.php';
  $nip_pegawai = $_GET['nip'];
  $nip = $nip_login;
  ?>


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pegawai</a></li>
                <li><i class="fa fa-angle-right"></i><a href>Persetujuan SKP</a></li>
                <li class="active"><i class="fa fa-angle-right"></i><?php echo $nip_pegawai ; ?></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Sasaran Kerja Pegawai</h1>
          </div>      
      <!-- App-content-body -->  
      <div class="wrapper-lg bg-light">
        <div class="row">
          <div class="col-sm-12">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">Sasaran Kerja Pegawai</div>
              <div class="panel-body">

                  <div class="table-responsive">
                  <table class="table table-striped b-t b-light"  style="text-align:center !important ">
                    <thead>
                      <tr> 
                        <td><b>No</b></td>
                        <td style="width: 50%;"><b>Kegiatan</b></td>
                        <td><b>Angka Kredit</b></td>
                        <td><b>Target Kualitas</b></td>
                        <td><b>Target Kuantitas</b></td>
                        <td><b>Target Waktu</b></td>
                        <td><b>Target Biaya</b></td>
                      </tr>  
                    </thead>
                    <tbody>
                      <?php 
                      $kegiatan = $_SESSION['all_kegiatan'];
                      $no = 1;
                      foreach ($kegiatan as $k) {?>
                      <tr>
                        <td><?php echo $no; ?></td>
                        <td><?php echo $k["deskripsi"]; ?></td>
                        <td><?php echo $k["target_ak"]; ?></td>
                        <td><?php echo $k["target_kualitas"]; ?></td>
                        <td><?php echo $k["target_kuantitas"]; ?></td>
                        <td><?php echo $k["target_waktu"]; ?></td>
                        <td><?php echo $k["target_biaya"]; ?></td>
                      </tr>
                      <?php 
                      $no += 1;
                      }?>
                    </tbody>                  
                  </table>
                </div>
                <?php $formlink = "controller/form_skp_controller.php?func=4&nip=".$_GET['nip'] ?>
                <a href=" <?php echo $formlink; ?> ">
                  <button class="btn m-b-sm m-r-sm btn-info" <?php $status = $_SESSION['status']; if ($status["status"]==1) { echo 'disabled="disabled"';}?>>Setuju</button>
                </a>

              </div>
            </div>
          </div>

        </div>
      </div>


      </div>
  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>
