<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Bandung Web Kit | BDGWEBKIT</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
<?php $current_page="Rekomendasi" ; ?>
<?php require_once 'header.php' ?>
  <?php require_once 'aside.php' ?>
<?php include 'controller/rekomendasi_controller.php' ?>
<?php include 'controller/user_controller.php' ?>

<?php $NIK_dinilai = $_GET['NIK'] ; 
      
  $NIK_penilai = $nip_login ;
      $rpromosi="";$rmutasi="";$rpendidikan="";
      $ubah = false ;
      $nama_pegawai = getName($NIK_dinilai);
?>
  
 <?php require_once 'controller/connectdb.php';
      //Cek apakah form rekomendasi sudah pernah diisi
  //1. Ambil id penilaian
 $id_penilaian = 0;
  $cur_periode = date("Y");
   $conn = connect_database();
                        
// Cek apakah NIP & periode sudah ada di tabel penilaian
  $sql = "SELECT id_penilaian FROM penilaian WHERE id_pegawai ='$NIK_dinilai' AND periode = YEAR(CURDATE())";
  $result = $conn->query($sql);

  // Jika sudah ada, ambil id_penilaiannya
  if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $id_penilaian = $row["id_penilaian"];
          //echo "udah ada penilaian " . $id_penilaian. "<br>";
      }

      // Cek apakah rekomendasi udah ada dgn id_penilaian yg didapatkan
      //echo "id_penilaian " . $id_penilaian. "<br>";
      $id_rekomendasi = 0;
      $sql = "SELECT * FROM rekomendasi WHERE id_penilaian=$id_penilaian";
      //echo $sql . "<br>" ;

      $result = $conn->query($sql);
      //echo "-- <br>";
      // Jika sudah ada,ambil kontennya
      if ($result->num_rows > 0) {
        //echo "** <br>";
          $ubah=true ;
          while($row = $result->fetch_assoc()) {
              $id_rekomendasi = $row["id_rekomendasi"];
              $rpromosi = $row["rek_promosi"];
              $rpendidikan = $row["rek_pelatihan"];
              $rmutasi = $row["rek_mutasi"];
          }
      }

    }                   
?>
<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pegawai</a></li>
                <li><i class="fa fa-angle-right"></i>Isi Rekomendasi</li>
                <li class="active"><i class="fa fa-angle-right"></i><?php echo $NIK_dinilai ; ?></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Form Rekomendasi : <?php echo $NIK_dinilai." - ".$nama_pegawai ; ?></h1>
          </div>      
      <!-- App-content-body -->  

<div class="wrapper-lg bg-light" ng-controller="FormDemoCtrl">
  <div class="row">
<div class="col-lg-2-4">
      <div class="panel panel-default">
        
      </div>
    </div>

    <div class="col-sm-7">
      <div class="panel panel-default">
        <div class="panel-heading font-bold">Rekomendasi Pegawai</div>
        <div class="panel-body">
          <form class="bs-example form-horizontal" action="controller/form_rekomendasi_controller.php?func=1" method="post">
            <div class="form-group">
              <label class="col-lg-3 control-label">Rekomendasi Pendidikan/Pelatihan</label>
              <div class="col-lg-9">
                 <textarea class="form-control" id="Rek_pendidikan" name="Rek_pendidikan"><?php if ($rpendidikan!="") echo $rpendidikan ; ?></textarea>
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-3 control-label">Rekomendasi Promosi</label>
              <div class="col-lg-9">
                <textarea class="form-control" id="Rek_promosi" name="Rek_promosi"><?php if ($rpromosi!="") echo $rpromosi ; ?></textarea>
              </div>
            </div>
            <div class="form-group">
              <label class="col-lg-3 control-label">Rekomendasi Mutasi</label>
              <div class="col-lg-9">
                 <textarea class="form-control" id="Rek_mutasi" name="Rek_mutasi"><?php if ($rmutasi!="") echo $rmutasi ; ?></textarea>
              </div>
            </div>
            
           <input type="hidden" name="NIK_penilai" value="<?php echo $NIK_penilai; ?>">  
           <input type="hidden" name="NIK_dinilai" value="<?php echo $NIK_dinilai; ?>">  

            <div class="form-group">
              <div class="col-lg-offset-10 col-lg-2">
                <?php if ($ubah==false) echo "<button type=\"submit\" class=\"btn btn-sm btn-info\">Simpan</button>" ;
                  else echo "<button type = \"submit\" class=\"pull-right btn btn-sm btn-success m-t-n-xs\">Ubah dan Simpan</button>" ;?>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

    <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div>              
           <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> 
</div>



  </div>
    <!-- end hbox hbox-auto-xs -->
</div>

<div class="wrapper-lg bg-light">
 <div class="row">
  <div class="col-md-12 padder-v"></div>
</div> 
</div>
<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>
