<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Home - Penilaian Performansi PNS</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />

<?php $current_page = "Dashboard" ; ?>

</head>
<body>
<div class="app app-header-fixed ">
    <!-- header-->
        <?php $page = 'index'; require_once 'header.php' ?>
    <!-- /header-->
    <!-- aside-->
        <?php require_once 'aside.php' ?>
    <!-- /aside-->

<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
    <div class="col">
      <div class="app-content-body ">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                  <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Home</a></li>               
                <li class="active"><i class="fa fa-angle-right"></i>Dashboard</li>
              </ul>
          </div>
          <div class="bg-light b-b wrapper-md padder-md ">
            <h1 class="m-n font-bold h4 padder" >Dashboard</h1>
          </div>

      <div class="wrapper-lg bg-light">
        <div class="row">
          <div class="col-sm-8">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">Profil</div>
              <div class="panel-body">
                <?php require_once 'controller/user_controller.php' ?>
                <table class="table table-striped b-t b-light">
                  <tbody>
                    <tr><td><b>NIP</b></td><td><?php echo $nip_login; ?></td></tr>
                    <tr><td><b>No KTP</b></td><td><?php echo $id_penduduk; ?></td></tr>
                    <tr><td><b>Nama</b></td><td><?php echo $nama; ?></td></tr>
                    <tr><td><b>Golongan</b></td><td><?php echo $golongan . "/". $ruang; ?></td></tr>
                    <tr><td><b>Pangkat</b></td><td><?php echo $pangkat; ?></td></tr>
                    <tr><td><b>Unit Kerja</b></td><td><?php echo $unit_kerja; ?></td></tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-8">
            <div class="panel panel-default">
              <div class="panel-heading font-semibold">Statistik Penilaian per SKPD</div>
              <div class="bg-dark-grey wrapper pb-zero">
                
                <div class="text-center m-b-n m-t-sm">
                    <div ui-jq="sparkline" class="sparkline inline" ui-options="
                    [<?php 
                      require_once 'controller/statistik_controller.php'; 
                      $skpd = getStatistik();
                      foreach ($skpd as $skpd){
                        echo $skpd['avg'] . ", ";
                      }
                    ?> 0], 
                    {
                      type:'bar', 
                      height:300, 
                      barWidth:15, 
                      barSpacing:30, 
                      barColor:'#00b0ff'
                    }">loading...</div>
                </div>
              </div>
              <div class="panel-body no-padder">
                <div class="wrapper20 inline full-width">
                  Keterangan:
                  <?php
                    $skpd = getStatistik();
                    foreach ($skpd as $skpd){
                      echo "<li>". $skpd['nama'] . "</li>";
                    }
                  ?>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>



<div class="wrapper-lg bg-light">
           <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div>              
</div>

      </div>
      <!-- App-content-body -->  

   

   <!-- footer -->
      <?php require_once 'footer.php' ?>
  <!-- / footer -->



</div>

<script src="libs/jquery/jquery/dist/jquery.js"></script>
<script src="libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>