<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Home - Penilaian Performansi PNS</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />

</head>
<body>
<div class="app app-header-fixed ">
  <?php $current_page = "Penilaian Pribadi" ; ?>
  <?php require_once 'header.php' ?>
  <?php require_once 'aside.php' ?>
  <?php require_once 'controller/connectdb.php' ; ?>

<!-- ambil status penilaian -->
<?php

  $status_persetujuan = 0 ;
  // 0 butuh konfirmasi,1  sudah disetujui, 2 telah ditolak dan menunggu tanggapan dari atasan, 3 disetujui namun ada tanggapan penolakan dari atasan
  $conn = connect_database() ;
  $sql = "SELECT persetujuan_pegawai FROM penilaian WHERE id_pegawai='$nip_login'";
  $result = $conn->query($sql);
 // echo $sql ;
  //echo $result->num_rows ;
  if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $status_persetujuan = $row['persetujuan_pegawai'];
      }
  } 
$tanggapan="";
if ($status_persetujuan==3) {
    $sql = "SELECT tanggapan FROM penilaian WHERE id_pegawai='$nip_login'"; 
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $tanggapan = $row['tanggapan'];
      }
  } 
  }
  $last_mod = "";
 $sql = "SELECT modified_at FROM penilaian WHERE id_pegawai='$nip_login'"; 
 $result = $conn->query($sql);
    if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $last_mod = $row['modified_at'];
      }
  }

  $alasan="";
  if ($status_persetujuan==2 || $status_persetujuan==3) {
    $sql = "SELECT alasan FROM penilaian WHERE id_pegawai='$nip_login'"; 
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $alasan = $row['alasan'];
      }
  } 
  } 
?>


   <!-- MODAL -->
    <div id="myModal" class="modal fade" role="dialog">
      <div class="modal-dialog">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Alasan Penolakan</h4>
        </div>
        <div class="modal-body">
          <div class="wrapper-lg bg-light">
          <div class="row">
            <div class="col-sm-14">
            <div class="panel panel-default">
              <div class="panel-body">
              <form class="bs-example form-horizontal" name="formpenolakan" method="post" action="controller/persetujuan_controller.php?func=2" onsubmit="return validatePenolakan()">
                <div class="form-group">
                <label class="col-lg-3 control-label">Alasan</label>
                <div class="col-lg-9">
                  <textarea type="text" name="alasan" class="form-control" id="alasan"></textarea>
                  <br>
                  <input type="submit" value="Kirim" class="btn m-b-sm m-r-sm btn-info">
                </div>
                </div>
               
                <br>
                
              </form>
              </div>
            </div>
            </div>
          </div>
          </div>
        </div>
        </div>
        <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      </div>
    <!-- END OF MODAL -->
    


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
    <div class="col">
      <div class="app-content-body ">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                  <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pribadi</a></li>               
                <li class="active"><i class="fa fa-angle-right"></i>Penilaian Performansi</li>
              </ul>
          </div>
          <div class="bg-light b-b wrapper-md padder-md ">
            <h1 class="m-n font-bold h4 padder" >Penilaian Performansi - Periode <?php echo Date("Y") ; ?></h1>
          </div>

      <div class="wrapper-lg bg-light">
        <div class="row">
          <div class="col-sm-4">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">YANG DINILAI</div>
              <div class="panel-body">
                <?php require_once 'controller/user_controller.php' ?>
                <table class="table table-striped b-t b-light">
                  <tbody>
                    <tr><td><b>NIP</b></td><td><?php echo $nip_login; ?></td></tr>
                    <tr><td><b>Nama</b></td><td><?php echo $nama; ?></td></tr>
                    <tr><td><b>Golongan</b></td><td><?php echo $golongan . "/". $ruang; ?></td></tr>
                    <tr><td><b>Pangkat</b></td><td><?php echo $pangkat; ?></td></tr>
                    <tr><td><b>Unit Kerja</b></td><td><?php echo $unit_kerja; ?></td></tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">PEJABAT PENILAI</div>
              <div class="panel-body">
                <table class="table table-striped b-t b-light">
                  <tbody>
                    <tr><td><b>NIP</b></td><td><?php echo $_SESSION['penilai_nip']; ?></td></tr>
                    <tr><td><b>Nama</b></td><td><?php echo $_SESSION['penilai_nama']; ?></td></tr>
                    <tr><td><b>Golongan</b></td><td><?php echo $_SESSION['penilai_golongan'] . "/". $_SESSION['penilai_ruang']; ?></td></tr>
                    <tr><td><b>Pangkat</b></td><td><?php echo $_SESSION['penilai_pangkat']; ?></td></tr>
                    <tr><td><b>Unit Kerja</b></td><td><?php echo $_SESSION['penilai_unit']; ?></td></tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">ATASAN PEJABAT PENILAI</div>
              <div class="panel-body">
                <table class="table table-striped b-t b-light">
                  <tbody>
                    <tr><td><b>NIP</b></td><td><?php echo $_SESSION['atasan_nip']; ?></td></tr>
                    <tr><td><b>Nama</b></td><td><?php echo $_SESSION['atasan_nama']; ?></td></tr>
                    <tr><td><b>Golongan</b></td><td><?php echo $_SESSION['atasan_golongan'] . "/". $_SESSION['atasan_ruang']; ?></td></tr>
                    <tr><td><b>Pangkat</b></td><td><?php echo $_SESSION['atasan_pangkat']; ?></td></tr>
                    <tr><td><b>Unit Kerja</b></td><td><?php echo $_SESSION['atasan_unit']; ?></td></tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-8">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">UNSUR YANG DINILAI</div>
              <div class="panel-body">
                <table class="table table-striped b-t b-light">
                  <thead>
                    <tr>
                      <th style="width:50%">Unsur</th>
                      <th style="width:10%; text-align:center !important">Bobot</th>
                      <th style="width:20%; text-align:center !important">Nilai</th>
                      <th style="width:20%; text-align:center !important">Jumlah</th>
                    </tr>
                  </thead>  
                  <tbody>
                    <tr>
                      <td>Sasaran Kerja Pegawai (SKP)</td>
                      <td style="text-align:center !important ">60%</td>
                      <td style="text-align:center !important "><?php echo number_format((float)$_SESSION['nilai_skp'], 2, '.', ''); ?></td>
                      <td style="text-align:center !important "><?php echo number_format((float)$_SESSION['nilai_skp']*0.6, 2, '.', ''); ?></td>
                    </tr>
                    <tr>
                      <td>Perilaku Kerja</td>
                      <td style="text-align:center !important ">40%</td>
                      <td style="text-align:center !important "><?php echo number_format((float)$_SESSION['nilai_pk'], 2, '.', ''); ?></td>
                      <td style="text-align:center !important "><?php echo number_format((float)$_SESSION['nilai_pk']*0.4, 2, '.', ''); ?></td>
                    </tr>
                    <tr>
                      <td colspan="3" style="text-align:center !important "><b>NILAI AKHIR</b></td>
                      <td style="text-align:center !important "><b><?php echo number_format((float)($_SESSION['nilai_skp']*0.6 + $_SESSION['nilai_pk']*0.4), 2, '.', '');; ?></b></td>
                  </tbody>
                </table>
              </div>
            </div>
          </div>

            <div class="col-lg-4">
                <div class="panel panel-default">
                  <div class="panel-heading font-bold">
                    STATUS PERSETUJUAN NILAI
                  </div>
                  <br>
                  <div class="panel-body text-center no-padder">
                    <?php if ($status_persetujuan==2) { echo  "<h4 class=\"text-warning\">Dalam penolakan. Menunggu tangapan pejabat penilai.</h4> " ; }
                        else if ($status_persetujuan==1 || $status_persetujuan==3||$status_persetujuan==4) { echo "  <h4 class=\"text-success\">Berhasil disetujui</h4>";}
                        else if ($status_persetujuan==0 ) { echo " <h4 class=\"text-info\">Butuh tanggapan dari anda</h4>";}
                        if ($status_persetujuan !=0) {echo "<small class=\"text-light-grey block\">Pada ". $last_mod ." </small>";}
                        if ($status_persetujuan==3 || $status_persetujuan==2) {
                           echo "<br><small class=\"text-light-grey block\">Alasan penolakan :  ". $alasan . "</small>";
                        }
                        if ($status_persetujuan==3) {
                           echo "<br><small class=\"text-light-grey block\">Dengan tanggapan penolakan : <br> ". $tanggapan . "</small>";
                        } else  if ($status_persetujuan==4) {
                           echo "<br><small class=\"text-light-grey block\">Disetujui oleh sistem (tanggapan melewati 14 hari)</small>";
                        }
                        /*echo "<h4 class=\"text-warning\">Dalam penolakan. Menunggu tangapan pejabat penilai.</h4> "  ;
                        echo "  <h4 class=\"text-success\">Berhasil disetujui</h4>";
                        echo " <h4 class=\"text-info\">Butuh tanggapan dari anda</h4>";*/
                      
                    ?>
                   
                    <br><br>
                    <div class="inline">
                     <button id="buttonSetuju" <?php if ($status_persetujuan != 0) echo 'disabled="disabled"' ?> class="btn m-b-sm m-r-sm btn-success"> Setujui</button>   
                     <button type="button" data-toggle="modal" data-target="#myModal" id="buttonTolak" <?php if ($status_persetujuan != 0) echo 'disabled="disabled"' ?> class="btn m-b-sm m-r-sm btn-danger">Tolak</button>



<script type="text/javascript">
    document.getElementById("buttonSetuju").onclick = function () {
        location.href = "controller/persetujuan_controller.php?func=1";
    };

  
</script>

                    </div>
                  </div>
                  
                </div>
              </div>

        </div>
      </div>

      </div>
      <!-- App-content-body -->  

   

   <!-- footer -->
      <?php require_once 'footer.php' ?>
  <!-- / footer -->



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>
<script src="js/penolakan.js"></script>
</body>
</html>