<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Sasaran Kerja Pegawai</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  <?php $current_page = "Form SKP" ; ?>
  <?php require_once 'header.php';  $nip = $nip_login; ?>
  <?php require_once 'aside.php' ?>


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pribadi</a></li>
                <li><i class="fa fa-angle-right"></i><a href>Isi Formulir SKP</a></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Sasaran Kerja Pegawai - Periode <?php echo Date("Y") ; ?></h1>
          </div>      
		 
      <!-- App-content-body -->  
    <div class="wrapper-lg bg-light">
		  <div class="row" style="margin-bottom:10px !important;">
        <div class="col-sm-offset-11">
  			 <button type="button" data-toggle="modal" data-target="#myModal" class="btn btn-sm btn-info"<?php $status = $_SESSION['status']; if ($status) { echo 'disabled="disabled"';} ?> >Tambah</button>
  	    </div>
      </div>

      <!-- MODAL -->
		<div id="myModal" class="modal fade" role="dialog">
		  <div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">SKP</h4>
			  </div>
			  <div class="modal-body">
				  <div class="wrapper-lg bg-light">
					<div class="row">
					  <div class="col-sm-14">
						<div class="panel panel-default">
						  <div class="panel-body">
							<form class="bs-example form-horizontal" name="formskp" method="post" action="controller/form_skp_controller.php?func=1" onsubmit="return validateSKP()">
							  <div class="form-group">
								<label class="col-lg-3 control-label">Kegiatan</label>
								<div class="col-lg-9">
								  <input type="text" name="kegiatan" class="form-control">
								</div>
							  </div>
							  <div class="form-group">
								<label class="col-lg-3 control-label">Angka Kredit</label>
								<div class="col-lg-9">
								  <input type="number" name="kredit" class="form-control">
								</div>
							  </div>
							  <div class="form-group">
								<label class="col-lg-3 control-label">Output / Kuantitas</label>
								<div class="col-lg-9">
								  <input type="text" name="kuantitas" class="form-control">
								</div>
							  </div>
							  <div class="form-group">
								<label class="col-lg-3 control-label">Mutu / Kualitas</label>
								<div class="col-lg-9">
								  <input type="number" name="kualitas" class="form-control">
								</div>
							  </div>
							  <div class="form-group">
								<label class="col-lg-3 control-label">Waktu</label>
								<div class="col-lg-9">
								  <input type="text" name="waktu" class="form-control">
								</div>
							  </div>
							  <div class="form-group">
								<label class="col-lg-3 control-label">Biaya</label>
								<div class="col-lg-9">
								  <input type="number" name="biaya" class="form-control">
								</div>
							  </div>
							  <br>
							  <div class="form-group">
								<div class="col-lg-offset-10 col-lg-2">
								  <button type="submit" class="btn btn-sm btn-info">Simpan</button>
								</div>
							  </div>
							</form>
						  </div>
						</div>
					  </div>
					</div>
				  </div>
				</div>
			  </div>
			  <div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			  </div>
			</div>
		  </div>
		<!-- END OF MODAL -->
		
        <div class="row">
          <div class="col-sm-12">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">Sasaran Kerja Pegawai</div>
              <div class="panel-body">
                  <div class="table-responsive">
                  <table class="table table-striped b-t b-light"  style="text-align:center !important ">
                    <thead>
                      <tr> 
                        <td><b>No</b></td>
                        <td style="width: 40%;"><b>Kegiatan</b></td>
                        <td><b>Angka Kredit</b></td>
                        <td><b>Target Kualitas</b></td>
                        <td><b>Target Kuantitas</b></td>
                        <td><b>Target Waktu</b></td>
                        <td><b>Target Biaya</b></td>
                      </tr>  
                    </thead>
                    <tbody>
                      <?php 
                      $kegiatan = $_SESSION['all_kegiatan'];
                      $no = 1;
                      foreach ($kegiatan as $k) {?>
                      <tr>
                        <td><?php echo $no; ?></td>
                        <td><?php echo $k["deskripsi"]; ?></td>
                        <td><?php echo $k["target_ak"]; ?></td>
                        <td><?php echo $k["target_kualitas"]; ?></td>
                        <td><?php echo $k["target_kuantitas"]; ?></td>
                        <td><?php echo $k["target_waktu"]; ?></td>
                        <td><?php echo $k["target_biaya"]; ?></td>
                      </tr>
                      <?php 
                      $no += 1;
                      }?>
                    </tbody>                  
                  </table>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>


      </div>
  </div>
  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>
<script src="js/skp.js"></script>
</body>
</html>
