<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Form Rekomendasi - Penilaian Performansi PNS</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>

<body>
<?php include 'controller/rekomendasi_controller.php' ?>
<?php $current_page = "Rekomendasi" ; ?>


<div class="app app-header-fixed ">
  

    <?php require_once 'header.php' ?>
    <?php require_once 'aside.php' ?>


    <?php
//dummy data pegawai
    
  $NIK_penilai = $nip_login;
$list_pegawai = getListBawahan($NIK_penilai);
$data_pegawai = array(
  array("NIK" => 12345678901,"KTP" => 3123131,"Nama" => "Pratama Damanik","Golongan" => "IVA","Unit"=>"Dikjar"),  
  array("NIK" => 12345678902,"KTP" => 3123132,"Nama" => "Lucky Cahyadi","Golongan" => "IVA","Unit"=>"Dikjar"),
  array("NIK" => 12345678903,"KTP" => 3123133,"Nama" => "Fitra Rahmamuliani","Golongan" => "IVA","Unit"=>"Dikjar"),
  array("NIK" => 12345678904,"KTP" => 3123134,"Nama" => "Venny Larasati","Golongan" => "IVA","Unit"=>"Dikjar"),
  array("NIK" => 12345678905,"KTP" => 3123135,"Nama" => "Ignatius Alriana","Golongan" => "IVA","Unit"=>"Dikjar"),
  );
?>

<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
    <div class="col">
      <div class="app-content-body ">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                  <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pegawai</a></li>               
                <li class="active"><i class="fa fa-angle-right"></i>Isi Rekomendasi</li>
              </ul>
          </div>
          <div class="bg-light b-b wrapper-md padder-md ">
            <h1 class="m-n font-bold h4 padder" >Isi Rekomendasi - Periode <?php echo Date("Y") ; ?></h1>
          </div>
      




<div class="wrapper-lg bg-light">
 <div class="row">

              <div class="col-lg-12">
                <div class="panel panel-default">
                  <div class="panel-heading font-semibold">
                   List Pegawai
                  </div>
                
                  <div class="table-responsive">
                    <table class="table table-striped b-t b-light">
                      <thead>
                        <tr>
                          
                          <th style="width:8%">NIK</th>
                          <th style="width:8%">No KTP</th>
                          <th style="width:15%">Nama</th>
                          <th style="width:8%">Golongan</th>
                          <th style="width:12%">Unit  Kerja</th>
                          <th style="width:9%"></th>
                        </tr>
                      </thead>    
                      <tbody>
                      <?php foreach ($list_pegawai as $pegawai) {?>
                      <tr>
                          
                          <td><?php echo $pegawai["nip"] ; ?></td>
                          <td><?php echo $pegawai["id_penduduk"] ; ?></td>
                          <td><?php echo $pegawai["nama"] ; ?></td>
                          <td><?php echo $pegawai["golongan"] ; ?></td>
                          <td><?php echo $pegawai["unit_kerja"] ; ?></td>
                          <td>
                          <?php 
                          $NIK = $pegawai["nip"];
                          $form_link = "form_rekomendasi.php?NIK=".$NIK;     
                          ?>
                          <a href="<?php echo $form_link ; ?>"><button class="btn m-b-sm m-r-sm btn-info btn-addon btn-sm"><i class="fa fa-file-o"></i>Form</button></td></a>
                          
                        </tr>
                     <?php }?>
                      </tbody>                  
                    </table>
                  </div>

  


                  <footer class="panel-footer">
                    <div class="row">
                      
                      
                     
                    </div>
                  </footer>
                </div>
              </div>
            </div>

<div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div>              
</div>

      </div>
      <!-- App-content-body -->  

<?php require_once 'footer.php' ; ?>
   

</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>