<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Bandung Web Kit | BDGWEBKIT</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  
<?php $nip_pegawai = $_GET['nip'] ; ?>
<?php $current_page = "Penilaian SKP" ; ?>

</head>
<body>
<div class="app app-header-fixed ">

  <?php require_once 'header.php' ?>
  <?php require_once 'aside.php' ?>
  <?php require_once 'controller/connectdb.php' ?>

<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
    <div class="col">
      <div class="bg-light lter">    
          <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
            <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
               <i class="icon-bdg_expand1 text"></i>
              <i class="icon-bdg_expand2 text-active"></i>
            </a>   </li>
            <li><a href>Evaluasi Pegawai</a></li>
            <li><i class="fa fa-angle-right"></i><a href>Penilaian SKP</a></li>
            <li class="active"><i class="fa fa-angle-right"></i><?php echo $nip_pegawai ?></li>
          </ul>
      </div>

      <div class="bg-light lter b-b wrapper-md padder-md">
        <h1 class="m-n font-bold h4 padder">Formulir Penilaian SKP - <?php echo $nip_pegawai ?> </h1>
      </div>      
      <!-- App-content-body -->  
      <?php ?>
      <div class="wrapper-lg bg-light">
        <div class="row">
          <div class="col-sm-12">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">Sasaran Kerja Pegawai</div>
              <div class="panel-body">
                  <div class="table-responsive">
                    
                  <table class="table table-striped b-t b-light"  style="text-align:center !important ">
                    <thead>
                      <tr> 
                        <td><b>No</b></td>
                        <td style="width: 30%;"><b>Kegiatan</b></td>
                        <td><b>Angka Kredit</b></td>
                        <td><b>Target Kualitas</b></td>
                        <td><b>Target Kuantitas</b></td>
                        <td><b>Target Waktu</b></td>
                        <td><b>Target Biaya</b></td>
                        <td><b>Realisasi Angka Kredit</b></td>
                        <td><b>Realisasi Kualitas</b></td>
                        <td><b>Realisasi Kuantitas</b></td>
                        <td><b>Realisasi Waktu</b></td>
                        <td><b>Realisasi Biaya</b></td>
                        <td><b>Nilai</b></td>
                        <td></td>
                      </tr>  
                    </thead>
                    <tbody>
                      <?php $no = 1; 
                      $nilai_skp=  array( );
                      $kegiatan = $_SESSION['all_kegiatan'];
                      

                      foreach ($kegiatan as $k) { ?>
                      <tr>
                        <td><?php echo $no; //echo "lalalalal";?></td>
                        <td><?php echo $k["deskripsi"]; ?></td>
                        <td><?php echo $k["target_ak"]; ?></td>
                        <td><?php echo $k["target_kualitas"]; ?></td>
                        <td><?php echo $k["target_kuantitas"]; ?></td>
                        <td><?php echo $k["target_waktu"]; ?></td>
                        <td><?php echo $k["target_biaya"]; ?></td>
                        <td><?php if(is_null($k["real_ak"])) echo "-" ;
                                  else echo $k["real_ak"]; ?>
                        </td>
                        <td><?php if(is_null($k["real_kualitas"])) echo "-" ;
                                  else echo $k["real_kualitas"]; ?>
                        </td>
                        <td><?php if(is_null($k["real_kuantitas"])) echo "-" ;
                                  else echo $k["real_kuantitas"]; ?>
                        </td>
                        <td><?php if(is_null($k["real_waktu"])) echo "-" ;
                                  else echo $k["real_waktu"]; ?>
                        </td>
                        <td><?php if(is_null($k["real_biaya"])) echo "-" ;
                                  else echo $k["real_biaya"]; ?>
                        </td>
                        <td><?php if(is_null($k["real_ak"]) && is_null($k["real_biaya"]) && is_null($k["real_kualitas"]) && is_null($k["real_waktu"]) && is_null($k["real_kuantitas"]) ) echo "Belum dinilai" ;
                                  else {
                                    $KL = ($k["real_kualitas"] / $k["target_kualitas"]) *100; 
                                    $KT = ($k["real_kuantitas"] / $k["target_kuantitas"]) *100; 
                                    $W = 100 - ($k["real_waktu"] / $k["target_waktu"] *100 );
                                    if($W<=24) $W = (1.76 * $k["target_waktu"] - $k["real_waktu"] )/ $k["target_waktu"] * 100;

                                    $B = 100 - ($k["real_biaya"] / $k["target_biaya"] *100 );
                                    if($B<=24) $B = (1.76 * $k["target_biaya"] - $k["real_biaya"]) / $k["target_biaya"] * 100;

                                    $hasil = ($KL + $KT +$W + $B)/4;
                                    //echo "(",$KL, "+", $KT ,"+",$W ,"+", $B,") /",4;
                                    echo number_format((float)$hasil, 2, '.', '');
                                    array_push($nilai_skp, $hasil);

                                    $conn = connect_database();
                                    $skp = $k["id_skp"];
                                    $keg = $k["id_kegiatan"];

                                    $sql = "UPDATE kegiatan
                                           SET nilai_kegiatan=$hasil, modified_at=now()
                                           WHERE id_skp = $skp AND id_kegiatan = $keg ";
                                    $result = $conn->query($sql);



                                  }?>
                        </td>
                        <td>
                          <div class="">
                            <a href="javascript:showModal(<?php echo $k['id_skp']?>,<?php echo $k['id_kegiatan']?>)">
                            <button type="button" data-toggle="modal" data-target="#myModal-<?php echo $k['id_skp'];?>-<?php echo $k['id_kegiatan'];?>" class="btn btn-sm btn-info" <?php $status = $_SESSION['edit_status']; if (!$status) { echo 'disabled="disabled"';} ?> >Isi</button>
                            </a>
                            
                            <div id="myModal-<?php echo $k['id_skp'];?>-<?php echo $k['id_kegiatan'];?>" class="modal fade" role="dialog">

                            <button type="button" data-toggle="modal" data-target="#myModal" class="btn btn-sm btn-info" <?php $status = $_SESSION['edit_status']; if (!$status) { echo 'disabled="disabled"';} ?> >Isi</button>
                            <?php //echo "<br>Kegiatan: " , $k['id_kegiatan'] , "/ SKP: " , $k['id_skp'];?>
                            <div id="myModal" class="modal fade" role="dialog">
                              <div class="modal-dialog">

                              <!-- Modal content-->
                              <div class="modal-content">
                                <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                <h4 class="modal-title">Penilaian SKP</h4>
                                
                                </div>
                                <div class="modal-body">
                                  <div class="wrapper-lg bg-light">
                                  <div class="row">
                                    <div class="col-sm-14">
                                    <div class="panel panel-default">
                                      <div class="panel-body">
                                      <form class="bs-example form-horizontal" name="formpenilaianskp" method="post" action="controller/form_penilaian_skp_controller.php?func=1&id_SKP=<?php echo $k['id_skp'];?>&id_k=<?php echo $k['id_kegiatan']; ?>" onsubmit="return validateSKP()">
                                        
                                        <!-- Realisasi -->  
                                        <div class="form-group">
                                        <label class="col-lg-3 control-label">Realisasi Angka Kredit</label>
                                        <div class="col-lg-9">
                                          <input type="number" required name="r_kredit" class="form-control" value="<?php if(!is_null($k["real_ak"])) echo $k["real_ak"]?>">
                                        </div>
                                        </div>
                                        <div class="form-group">
                                        <label class="col-lg-3 control-label">Realisasi Output / Kuantitas</label>
                                        <div class="col-lg-9">
                                          <input type="text" required  name="r_kuantitas" class="form-control" value="<?php if(!is_null($k["real_kuantitas"])) echo $k["real_kuantitas"]?>">
                                        </div>
                                        </div>
                                        <div class="form-group">
                                        <label class="col-lg-3 control-label">Realisasi Mutu / Kualitas</label>
                                        <div class="col-lg-9">
                                          <input type="number"  required name="r_kualitas" class="form-control" value="<?php if(!is_null($k["real_kualitas"])) echo $k["real_kualitas"]?>">
                                        </div>
                                        </div>
                                        <div class="form-group">
                                        <label class="col-lg-3 control-label">Realisasi Waktu</label>
                                        <div class="col-lg-9">
                                          <input type="text"  required name="r_waktu" class="form-control"value="<?php if(!is_null($k["real_waktu"])) echo $k["real_waktu"] ?>" >
                                        </div>
                                        </div>
                                        <div class="form-group">
                                        <label class="col-lg-3 control-label">Realisasi Biaya</label>
                                        <div class="col-lg-9">
                                          <input type="number"  required name="r_biaya" class="form-control" value="<?php if(!is_null($k["real_biaya"])) echo $k["real_biaya"]?>" >
                                        </div>
                                        </div>

                                        <br>
                                        <div class="form-group">
                                        <div class="col-lg-offset-10 col-lg-2">
                                          <button type="submit" class="btn btn-sm btn-info">Simpan</button>
                                        </div>
                                        </div>
                                      </form>
                                      </div>
                                    </div>
                                    </div>
                                  </div>
                                  </div>
                                </div>
                                </div>
                                <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                </div>
                              </div>
                          </div>
                        </td>
                      </tr>
                      <?php $no += 1; 
                      } ?>
                    </tbody>                  
                  </table>
                 
                </div>
              </div>
            </div>
          </div>
        </div>
         <?php //echo count($nilai_skp);
            $conn = connect_database();
            $neff = count($nilai_skp);
            $sum = 0;
            for($x = 0; $x < $neff; $x++){
              $sum += $nilai_skp[$x];
            }
            //echo "<br>sum= ",$sum;
            if ($neff!=0){
              $hasil_nilai_skp = $sum/$neff;

              $sql = "UPDATE skp
                     SET nilai=$hasil_nilai_skp, modified_at=now()
                     WHERE id_skp = $skp ";
              $result = $conn->query($sql);
                
                
		if ($conn->query($sql) === TRUE) {
		    echo "update successfully";
		} else {
		    echo "Error: " . $sql . "<br>" . $conn->error;
		}
            }
          ?>
        <!--
        <div class="row" style="margin-bottom:10px !important;">
          <div class="col-sm-offset-11">
           <button type="button" class="btn btn-sm btn-info">Simpan</button>
          </div>
        </div>
        -->
      </div>
      <div class="wrapper-lg bg-light">
        <div class="row">
          <div class="col-md-12 padder-v"></div>
        </div> <div class="row">
          <div class="col-md-12 padder-v"></div>
        </div>         
      </div>
    </div>
  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>
<script>
  $(document).ready(function(){
    $('#modal_form_vertical').on('show.bs.modal', function (e) {
        var designid = $(e.relatedTarget).data('designid'); //get the id
        alert(designid);
        var dataString = 'designid=' + designid;
        $.ajax({
            type: "POST",
            url: "includes/content.php",
            data: dataString,
            cache: false,
            success: function(data){
                $("#content").html(data);
            }
        });
     });
});
  </script>
</body>
</html>