<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Hasil Penilaian Perilaku Kerja</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  <?php $current_page = "Perilaku Kerja Pribadi" ; ?>
  <?php require_once 'header.php';  $nip = $nip_login; ?>
  <?php require_once 'aside.php' ?>


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pribadi</a></li>
            <li><i class="fa fa-angle-right"></i><a href>Penilaian Perilaku Kerja</a></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Penilaian Perilaku Kerja - Periode <?php echo Date("Y") ; ?></h1>
          </div>      
      <!-- App-content-body -->  
      <div class="wrapper-lg bg-light">
        <div class="row">
          <div class="col-sm-8">
            <div class="panel panel-default">
              <div class="panel-heading font-bold">Nilai Perilaku Kerja</div>
              <div class="panel-body">
                <?php

                  if (isset($_SESSION['pk_pelayanan'])){
                    $pelayanan = $_SESSION['pk_pelayanan'];
                    $integritas = $_SESSION['pk_integritas'];
                    $komitmen = $_SESSION['pk_komitmen'];
                    $disiplin = $_SESSION['pk_disiplin'];
                    $kerjasama = $_SESSION['pk_kerjasama'];
                    $kepemimpinan = $_SESSION['pk_kepemimpinan'];
                    
                  } else {
                    $pelayanan = 0;
                    $integritas = 0;
                    $komitmen = 0;
                    $disiplin = 0;
                    $kerjasama = 0;
                    $kepemimpinan = 0;
                  }

                  $pk_jumlah = $pelayanan+$integritas+$komitmen+$disiplin+$kerjasama+$kepemimpinan;
                  $pk_avg = $pk_jumlah/6;

                ?>

                  <div class="table-responsive">
                  <table class="table table-striped b-t b-light"  style="text-align:center !important ">
                    <tbody>
                      <tr> 
                        <td style="width:60% "><b>Aspek</b></td>
                        <td style="width:40%"><b>Nilai</b></td>
                      </tr>  
                    
                      <tr><td>Pelayanan</td><td><?php echo $pelayanan; ?></td></tr>
                      <tr><td>Integritas</td><td><?php echo $integritas; ?></td></tr>
                      <tr><td>Komitmen</td><td><?php echo $komitmen; ?></td></tr>
                      <tr><td>Disiplin</td><td><?php echo $disiplin; ?></td></tr>
                      <tr><td>Kerjasama</td><td><?php echo $kerjasama; ?></td></tr>
                      <tr><td>Kepemimpinan</td><td><?php echo $kepemimpinan; ?></td></tr>
                      <tr><td><b>Jumlah</b></td><td><b><?php echo $pk_jumlah; ?></b></td></tr>
                      <tr><td><b>Rata-rata</b></td><td><b><?php echo number_format((float)$pk_avg, 2, '.', '');; ?></b></td></tr>
                    </tbody>                  
                  </table>
                </div>
              </div>
            </div>
          </div>
          
          <div class="col-sm-3">
            <div class="row">
              <div class="panel panel-default">
                <div class="panel-heading font-bold">Keterangan</div>
                <div class="panel-body">
                  <table class="table table-striped b-t b-light"  style="text-align:center !important ">
                    <tbody>
                      <tr><td><b>Sangat Baik</b></td><td>91-100</td></tr>
                      <tr><td><b>Baik</b></td><td>76-90</td></tr>
                      <tr><td><b>Cukup</b></td><td>61-75</td></tr>
                      <tr><td><b>Kurang</b></td><td>51-60</td></tr>
                      <tr><td><b>Buruk</b></td><td>0-50</td></tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>


      </div>
  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>
