<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Persetujuan Penilaian Pegawai</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  <?php
  $current_page = "Persetujuan SKP" ;
  require_once 'header.php';
  require_once 'aside.php';
  require_once 'controller/connectdb.php' ;
  $nip_pegawai = $_GET['nip'];

  // ambil status persetujuamn
   $status_persetujuan = 0 ;
   $tanggapan="";
  // 0 butuh konfirmasi,1  sudah disetujui, 2 telah ditolak dan menunggu tanggapan dari atasan, 3 disetujui namun ada tanggapan penolakan dari atasan
  $conn = connect_database() ;
  $sql = "SELECT persetujuan_pegawai FROM penilaian WHERE id_pegawai='$nip_pegawai'";
  $result = $conn->query($sql);
  if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $status_persetujuan = $row['persetujuan_pegawai'];
      }
  } 
  if ($status_persetujuan==3) {
    $sql = "SELECT tanggapan FROM penilaian WHERE id_pegawai='$nip_pegawai'"; 
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $tanggapan = $row['tanggapan'];
      }
  } 
  }
  $alasan="";
  if ($status_persetujuan==2||$status_persetujuan==3) {
    $sql = "SELECT alasan FROM penilaian WHERE id_pegawai='$nip_pegawai'"; 
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { 
      while($row = $result->fetch_assoc()) {
          $alasan = $row['alasan'];
      }
  } 
  }
  ?>


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pegawai</a></li>
                <li><i class="fa fa-angle-right"></i><a href>Persetujuan Penilaian</a></li>
                <li class="active"><i class="fa fa-angle-right"></i><?php echo $nip_pegawai ; ?></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Penilaian Pegawai</h1>
          </div>      
      <!-- App-content-body -->  
      <div class="wrapper-lg bg-light">
        <div class="row">
     <div class="col-lg-4">
      <div class="row">
       
             </div>
    </div>
    

            <div class="col-lg-4">
                <div class="panel panel-default">
                  <div class="panel-heading font-bold">
                    STATUS PERSETUJUAN NILAI
                  </div>
                  <br>
                  <div class="panel-body text-center no-padder">
                    <?php if ($status_persetujuan==2) { echo  "<h4 class=\"text-warning\">Ditolak oleh pegawai. Butuh tanggapan anda.</h4> " ; }
                        else if ($status_persetujuan==1 || $status_persetujuan==3||$status_persetujuan==4) { echo "  <h4 class=\"text-success\">Berhasil disetujui</h4>";}
                        else if ($status_persetujuan==0 ) { echo " <h4 class=\"text-info\">Belum ditanggapi oleh pegawai</h4>";}

                        if ($status_persetujuan==3) {
                          echo "<small class=\"text-light-grey block\">Dengan alasan penolakan : <br> ". $alasan . "</small><br>";
                           echo "<small class=\"text-light-grey block\">Dengan tanggapan penolakan : <br> ". $tanggapan . "</small>";
                        } else if ($status_persetujuan==4) {
                           echo "<small class=\"text-light-grey block\">Disetujui oleh sistem (Tanggapan melewati 14 hari)</small>";
                        }
                        if ($status_persetujuan==2) { 
                           echo "<br><form role=\"form\" >
                            <div class=\"form-group\">
                            <label>Alasan penolakan</label>
                            <textarea class=\"form-control\" name=\"alasan2\" id=\"alasan2\"> " . $alasan . "</textarea>
                            <span class=\"help-block m-b-none\">Berikan tanggapan penolakan anda. Penilaian akan otomatis disetujui oleh sistem setelah tanggapan dikirimkan.</span>
                            </div>
                            </form>" ;


                        }
                        $action_ = "controller/persetujuan_controller.php?func=4&nip=" .$nip_pegawai ; 
                        if ($status_persetujuan==2) { 
                          echo "<br><form role=\"form\" action=\"" . $action_ . "\" method=\"post\">
                            <div class=\"form-group\">
                            <label>Tanggapan penolakan</label>
                            <textarea class=\"form-control\" name=\"alasan\" id=\"alasan\">                       
                            </textarea>
                            <span class=\"help-block m-b-none\">Berikan tanggapan penolakan anda. Penilaian akan otomatis disetujui oleh sistem setelah tanggapan dikirimkan.</span>
                            </div>
                            <button type=\"submit\" class=\"btn btn-sm btn-success\">Kirim</button>
                            </form>" ;

                        }
                        /*echo "<h4 class=\"text-warning\">Dalam penolakan. Menunggu tangapan pejabat penilai.</h4> "  ;
                        echo "  <h4 class=\"text-success\">Berhasil disetujui</h4>";
                        echo " <h4 class=\"text-info\">Butuh tanggapan dari anda</h4>";*/
                      
                    ?>
                    <br><br>
                    
                    


                  </div>
                  
                </div>
              </div>
                  

        </div>
      </div>


      </div>
  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>
<script> document.getElementById("alasan2").readOnly = true; </script>
</body>
</html>
