<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Penilaian Perilaku Kerja</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  <?php $current_page = "Perilaku Kerja" ; ?>
  <?php require_once 'header.php' ?>
  <?php require_once 'aside.php' ?>


<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Evaluasi Pegawai</a></li>               
                <li class="active"><i class="fa fa-angle-right"></i>Penilaian Perilaku Kerja</li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Penilaian Perilaku Kerja - Periode <?php echo Date("Y") ; ?></h1>
          </div>      
      <!-- App-content-body -->  
      <div class="wrapper-lg bg-light">
        <div class="row">
        <div class="col-md-12">
        <div class="panel panel-default">
          <div class="panel-heading font-semibold">Perilaku Kerja</div>
            <div class="table-responsive">
              <table class="table table-striped b-t b-light">
                <thead>
                  <tr>
                    
                    <th style="width:20%">NIP</th>
                    <th style="width:20%">No KTP</th>
                    <th style="width:20%">Nama</th>
                    <th style="width:10%">Golongan</th>
                    <th style="width:15%">Unit  Kerja</th>
                    <th style="width:15%"></th>
                  </tr>
                </thead>    
                <tbody>
                  <?php 
                  $data_pegawai = $_SESSION['all_bawahan'];
                  foreach ($data_pegawai as $pegawai) {?>
                    <tr>
                        
                        <td><?php echo $pegawai["nip"] ; ?></td>
                        <td><?php echo $pegawai["id_penduduk"] ; ?></td>
                        <td><?php echo $pegawai["nama"] ; ?></td>
                        <td><?php echo $pegawai["golongan"] ; ?></td>
                        <td><?php echo $pegawai["unit_kerja"] ; ?></td>
                        <td>
                          <span class="label bg-info pull-right">
                            <?php $formlink = "controller/perilaku_kerja_controller.php?func=2&nip=" . $pegawai["nip"] ?>
                            <a href=" <?php echo $formlink; ?> ">Lihat</a>
                          </span>
                        </td>
                      </tr>
                   <?php }?>
                </tbody>                  
              </table>
            </div>
            <footer class="panel-footer">
              <div class="row">
              </div>
            </footer>
          </div>
          </div>
        </div>
        <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div> <div class="row">
            <div class="col-md-12 padder-v"></div>
        </div> 
      </div>


      </div>
  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


<?php require_once 'footer.php' ?>



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>