-- phpMyAdmin SQL Dump
-- version 4.3.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: May 16, 2016 at 07:10 AM
-- Server version: 5.6.24
-- PHP Version: 5.6.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `penilaian_performansi`
--

-- --------------------------------------------------------

--
-- Table structure for table `kegiatan`
--

CREATE TABLE IF NOT EXISTS `kegiatan` (
  `id_skp` int(11) NOT NULL,
  `id_kegiatan` int(11) NOT NULL,
  `deskripsi` text NOT NULL,
  `target_ak` int(11) NOT NULL,
  `target_kualitas` int(11) NOT NULL,
  `target_kuantitas` varchar(255) NOT NULL,
  `target_biaya` int(11) NOT NULL,
  `target_waktu` varchar(255) NOT NULL,
  `real_ak` int(11) DEFAULT NULL,
  `real_kualitas` int(11) DEFAULT NULL,
  `real_kuantitas` varchar(255) DEFAULT NULL,
  `real_biaya` int(11) DEFAULT NULL,
  `real_waktu` varchar(255) DEFAULT NULL,
  `nilai_kegiatan` int(11) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kegiatan`
--

INSERT INTO `kegiatan` (`id_skp`, `id_kegiatan`, `deskripsi`, `target_ak`, `target_kualitas`, `target_kuantitas`, `target_biaya`, `target_waktu`, `real_ak`, `real_kualitas`, `real_kuantitas`, `real_biaya`, `real_waktu`, `nilai_kegiatan`) VALUES
(2, 1, 'Membuat laporan keuangan', 4, 100, '1 laporan', 600000, '12 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(3, 2, 'Dadadadaskjaskj', 4, 12, '12', 600000, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(4, 3, 'Dadadadaskjaskj', 4, 12, '12', 600000, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(5, 4, 'Dadadadaskjaskj', 4, 12, '12', 600000, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(6, 5, 'Jajajajajaja', 4, 12, '12', 12, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 8, 'Mengadakan diklat pengelolaan keuangan', 5, 100, '12 lembar', 500000, '12 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 9, 'Membuat laporan bulanan', 4, 100, '12 laporan', 12000, '12 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(8, 10, 'Mengerjakan sesuatu', 3, 100, '1 laporan', 300000, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(7, 11, 'Membuat laporan pengadilan', 2, 100, '1 laporan', 0, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(10, 13, 'Mengerjakan apapun', 2, 100, '1 laporan', 0, '6 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(10, 14, 'Mengerjakan pekerjaan', 3, 100, '2 laporan', 100000, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 15, 'Melakukan coba', 1, 100, '1 laporan', 0, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 16, 'Melakukan lala', 3, 100, '5 laporan', 100000, '3 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(11, 17, 'asdfasdf', 3, 6, 'Menghitung', 10000, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `kehadiran`
--

CREATE TABLE IF NOT EXISTS `kehadiran` (
  `id_pegawai` varchar(20) NOT NULL,
  `presentase_kehadiran` int(11) NOT NULL,
  `jumlah_absen` int(11) NOT NULL,
  `alasan_izin` varchar(255) NOT NULL,
  `periode` int(11) NOT NULL,
  `id_kehadiran` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `notifikasi`
--

CREATE TABLE IF NOT EXISTS `notifikasi` (
  `id_notifikasi` int(11) NOT NULL,
  `username` varchar(20) NOT NULL,
  `konten` text,
  `status` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pendidikan`
--

CREATE TABLE IF NOT EXISTS `pendidikan` (
  `id_pegawai` int(11) NOT NULL,
  `kegiatan` text NOT NULL,
  `tanggal` date NOT NULL,
  `hasil` int(11) NOT NULL,
  `keterangan` text NOT NULL,
  `id_pendidikan` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `penilaian`
--

CREATE TABLE IF NOT EXISTS `penilaian` (
  `id_penilaian` int(11) NOT NULL,
  `id_pegawai` varchar(20) NOT NULL,
  `id_penilai` varchar(20) NOT NULL,
  `periode` year(4) NOT NULL,
  `nilai` int(11) DEFAULT NULL,
  `persetujuan_atasan` tinyint(1) DEFAULT NULL,
  `persetujuan_pegawai` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `penilaian`
--

INSERT INTO `penilaian` (`id_penilaian`, `id_pegawai`, `id_penilai`, `periode`, `nilai`, `persetujuan_atasan`, `persetujuan_pegawai`) VALUES
(1, '196006041982101099', '195608011981111099', 2016, NULL, NULL, NULL),
(4, '196006041982101000', '195608011981111099', 2016, NULL, NULL, NULL),
(5, '196006041982102000', '195608011981111099', 2016, NULL, NULL, NULL),
(6, '196006041982104000', '195608011981111099', 2016, NULL, NULL, NULL),
(7, '195608011981111099', '', 2016, NULL, NULL, NULL),
(8, '', '', 2016, NULL, NULL, NULL),
(9, '', '', 2016, NULL, NULL, NULL),
(10, '', '', 2016, NULL, NULL, NULL),
(11, '199638011981111000', '199638011981111000', 2016, NULL, NULL, NULL),
(12, '199608011912111000', '199608011912111000', 2016, NULL, NULL, NULL),
(13, '185608011912111099', '185608011912111099', 2016, NULL, NULL, NULL),
(14, '185608011923111099', '', 2016, NULL, NULL, NULL),
(15, '196006041982116000', '', 2016, NULL, NULL, NULL),
(16, '185608011939111099', '', 2016, NULL, NULL, NULL),
(18, '195608011912121099', '196006041982116000', 2016, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `perilaku_kerja`
--

CREATE TABLE IF NOT EXISTS `perilaku_kerja` (
  `id_penilaian` int(11) NOT NULL,
  `id_perilaku` int(11) NOT NULL,
  `pelayanan` int(11) NOT NULL,
  `integritas` int(11) NOT NULL,
  `komitmen` int(11) NOT NULL,
  `disiplin` int(11) NOT NULL,
  `kerjasama` int(11) NOT NULL,
  `kepemimpinan` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `perilaku_kerja`
--

INSERT INTO `perilaku_kerja` (`id_penilaian`, `id_perilaku`, `pelayanan`, `integritas`, `komitmen`, `disiplin`, `kerjasama`, `kepemimpinan`) VALUES
(1, 1, 90, 90, 90, 90, 100, 90),
(4, 4, 80, 80, 80, 84, 80, 85),
(5, 5, 70, 78, 90, 87, 90, 90),
(7, 6, 90, 92, 87, 89, 90, 95),
(6, 7, 90, 87, 98, 80, 80, 80),
(14, 8, 80, 87, 86, 75, 79, 82),
(15, 9, 90, 87, 88, 82, 81, 80),
(16, 10, 87, 89, 85, 77, 76, 75);

-- --------------------------------------------------------

--
-- Table structure for table `rekomendasi`
--

CREATE TABLE IF NOT EXISTS `rekomendasi` (
  `id_penilaian` int(11) NOT NULL,
  `id_rekomendasi` int(11) NOT NULL,
  `rek_pelatihan` text,
  `rek_promosi` text,
  `rek_mutasi` text
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `rekomendasi`
--

INSERT INTO `rekomendasi` (`id_penilaian`, `id_rekomendasi`, `rek_pelatihan`, `rek_promosi`, `rek_mutasi`) VALUES
(4, 1, 'Pelatihan komputer', '-', '-'),
(14, 2, 'Pelatihan Memasak', '-', '-'),
(15, 3, 'Pelatihan Komputer Tingkat Lanjut', 'Promosi menjadi golongan IV/a dengan pangkat Pembina', '-'),
(1, 4, 'Pendidikan Komputer', 'Naik pangkat', '-');

-- --------------------------------------------------------

--
-- Table structure for table `skp`
--

CREATE TABLE IF NOT EXISTS `skp` (
  `id_penilaian` int(11) NOT NULL,
  `id_skp` int(11) NOT NULL,
  `nilai` int(11) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `skp`
--

INSERT INTO `skp` (`id_penilaian`, `id_skp`, `nilai`, `status`) VALUES
(8, 1, NULL, 0),
(7, 2, NULL, 0),
(9, 3, NULL, 0),
(10, 4, NULL, 0),
(11, 5, NULL, 0),
(12, 6, NULL, 0),
(13, 7, NULL, 0),
(1, 8, NULL, 1),
(18, 10, NULL, 0),
(4, 11, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `username` varchar(20) NOT NULL,
  `password` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`username`, `password`) VALUES
('196006041982101099', '12345'),
('197006041992211098', '12345'),
('196006041982101000', '12345'),
('196006041982102000', '12345'),
('196006041982103000', '12345'),
('196006041982104000', '12345'),
('196006041982105000', '12345'),
('196006041982106000', '12345'),
('196006041982107000', '12345'),
('196006041982108000', '12345'),
('196006041982109000', '12345'),
('196006041982110000', '12345'),
('196006041982111000', '12345'),
('196006041982112000', '12345'),
('196006041982113000', '12345'),
('196006041982114000', '12345'),
('196006041982115000', '12345'),
('196006041982116000', '12345'),
('196006041982117000', '12345'),
('196006041982118000', '12345'),
('195608011981111099', '12345'),
('195608111981121099', '12345'),
('199638011981111000', '12345'),
('185609011981111099', '12345'),
('195608011981121098', '12345'),
('199608011321111000', '12345'),
('185608012181111099', '12345'),
('195608011945121099', '12345'),
('199608011967111000', '12345'),
('185608011923111099', '12345'),
('195608011912121099', '12345'),
('199608011911111000', '12345'),
('185608011939111099', '12345'),
('195608011924121099', '12345'),
('199608011912111000', '12345'),
('185608011912111099', '12345'),
('195608011912121089', '12345'),
('199608011981111012', '12345'),
('185608011981111032', '12345'),
('195608011981121034', '12345'),
('199608011981111056', '12345'),
('185608011981111090', '12345'),
('195608011981121021', '12345'),
('199608011981111035', '12345'),
('185608011981111036', '12345'),
('195608011981121037', '12345'),
('199608011981111038', '12345'),
('185608011981111019', '12345'),
('195608011981121123', '12345'),
('199608011981234509', '12345'),
('185608011981123099', '12345'),
('195608011981121001', '12345'),
('199608011981111002', '12345'),
('185608011981111003', '12345'),
('195608011981121004', '12345'),
('187608011981111056', '12345'),
('185608011981111267', '12345'),
('195608011981121145', '12345'),
('199608011981111198', '12345'),
('185608011981111135', '12345'),
('195608011981121165', '12345'),
('199608011981111987', '12345'),
('185608011981111007', '12345'),
('195608011981121008', '12345'),
('199608011981111065', '12345');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `kegiatan`
--
ALTER TABLE `kegiatan`
  ADD PRIMARY KEY (`id_kegiatan`), ADD KEY `idx_skp` (`id_skp`);

--
-- Indexes for table `notifikasi`
--
ALTER TABLE `notifikasi`
  ADD PRIMARY KEY (`id_notifikasi`);

--
-- Indexes for table `penilaian`
--
ALTER TABLE `penilaian`
  ADD PRIMARY KEY (`id_penilaian`);

--
-- Indexes for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
  ADD PRIMARY KEY (`id_perilaku`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- Indexes for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
  ADD PRIMARY KEY (`id_rekomendasi`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- Indexes for table `skp`
--
ALTER TABLE `skp`
  ADD PRIMARY KEY (`id_skp`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `kegiatan`
--
ALTER TABLE `kegiatan`
  MODIFY `id_kegiatan` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=18;
--
-- AUTO_INCREMENT for table `notifikasi`
--
ALTER TABLE `notifikasi`
  MODIFY `id_notifikasi` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `penilaian`
--
ALTER TABLE `penilaian`
  MODIFY `id_penilaian` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=19;
--
-- AUTO_INCREMENT for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
  MODIFY `id_perilaku` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
  MODIFY `id_rekomendasi` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `skp`
--
ALTER TABLE `skp`
  MODIFY `id_skp` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=12;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `kegiatan`
--
ALTER TABLE `kegiatan`
ADD CONSTRAINT `kegiatan_fk1` FOREIGN KEY (`id_skp`) REFERENCES `skp` (`id_skp`);

--
-- Constraints for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
ADD CONSTRAINT `perilaku_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

--
-- Constraints for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
ADD CONSTRAINT `rekomendasi_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

--
-- Constraints for table `skp`
--
ALTER TABLE `skp`
ADD CONSTRAINT `skp_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
