-- phpMyAdmin SQL Dump
-- version 4.2.7.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: May 17, 2016 at 02:56 AM
-- Server version: 5.6.24-log
-- PHP Version: 5.5.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `penilaian_performansi`
--

CREATE DATABASE IF NOT EXISTS penilaian_performansi;
USE penilaian_performansi;

-- --------------------------------------------------------

--
-- Table structure for table `kegiatan`
--

CREATE TABLE IF NOT EXISTS `kegiatan` (
  `id_skp` int(11) NOT NULL,
`id_kegiatan` int(11) NOT NULL,
  `deskripsi` text NOT NULL,
  `target_ak` int(11) NOT NULL,
  `target_kualitas` int(11) NOT NULL,
  `target_kuantitas` varchar(255) NOT NULL,
  `target_biaya` int(11) NOT NULL,
  `target_waktu` varchar(255) NOT NULL,
  `real_ak` int(11) DEFAULT NULL,
  `real_kualitas` int(11) DEFAULT NULL,
  `real_kuantitas` varchar(255) DEFAULT NULL,
  `real_biaya` int(11) DEFAULT NULL,
  `real_waktu` varchar(255) DEFAULT NULL,
  `nilai_kegiatan` int(11) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `kegiatan`
--

INSERT INTO `kegiatan` (`id_skp`, `id_kegiatan`, `deskripsi`, `target_ak`, `target_kualitas`, `target_kuantitas`, `target_biaya`, `target_waktu`, `real_ak`, `real_kualitas`, `real_kuantitas`, `real_biaya`, `real_waktu`, `nilai_kegiatan`) VALUES
(2, 1, 'Membuat laporan keuangan', 4, 100, '1 laporan', 600000, '12 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(3, 2, 'Dadadadaskjaskj', 4, 12, '12', 600000, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(4, 3, 'Dadadadaskjaskj', 4, 12, '12', 600000, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(5, 4, 'Dadadadaskjaskj', 4, 12, '12', 600000, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(6, 5, 'Jajajajajaja', 4, 12, '12', 12, 'target_waktu', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 8, 'Mengadakan diklat pengelolaan keuangan', 5, 100, '12 lembar', 500000, '12 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 9, 'Membuat laporan bulanan', 4, 100, '12 laporan', 12000, '12 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(8, 10, 'Mengerjakan sesuatu', 3, 100, '1 laporan', 300000, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(7, 11, 'Membuat laporan pengadilan', 2, 100, '1 laporan', 0, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(10, 13, 'Mengerjakan apapun', 2, 100, '1 laporan', 0, '6 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(10, 14, 'Mengerjakan pekerjaan', 3, 100, '2 laporan', 100000, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 15, 'Melakukan coba', 1, 100, '1 laporan', 0, '1 bulan', NULL, NULL, NULL, NULL, NULL, NULL),
(2, 16, 'Melakukan lala', 3, 100, '5 laporan', 100000, '3 bulan', NULL, NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `kehadiran`
--

CREATE TABLE IF NOT EXISTS `kehadiran` (
  `id_pegawai` varchar(20) NOT NULL,
  `presentase_kehadiran` int(11) NOT NULL,
  `jumlah_absen` int(11) NOT NULL,
  `alasan_izin` varchar(255) NOT NULL,
  `periode` int(11) NOT NULL,
  `id_kehadiran` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `notifikasi`
--

CREATE TABLE IF NOT EXISTS `notifikasi` (
  `id_notifikasi` int(11) NOT NULL,
  `username` varchar(20) NOT NULL,
  `konten` text,
  `status` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pendidikan`
--

CREATE TABLE IF NOT EXISTS `pendidikan` (
  `id_pegawai` int(11) NOT NULL,
  `kegiatan` text NOT NULL,
  `tanggal` date NOT NULL,
  `hasil` int(11) NOT NULL,
  `keterangan` text NOT NULL,
  `id_pendidikan` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `penilaian`
--

CREATE TABLE IF NOT EXISTS `penilaian` (
`id_penilaian` int(11) NOT NULL,
  `id_pegawai` varchar(20) NOT NULL,
  `id_penilai` varchar(20) NOT NULL,
  `periode` year(4) NOT NULL,
  `nilai` int(11) DEFAULT NULL,
  `persetujuan_atasan` tinyint(1) DEFAULT NULL,
  `persetujuan_pegawai` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

--
-- Dumping data for table `penilaian`
--

INSERT INTO `penilaian` (`id_penilaian`, `id_pegawai`, `id_penilai`, `periode`, `nilai`, `persetujuan_atasan`, `persetujuan_pegawai`) VALUES
(1, '196006041982101099', '195608011981111099', 2016, NULL, NULL, NULL),
(4, '196006041982101000', '195608011981111099', 2016, NULL, NULL, NULL),
(5, '196006041982102000', '195608011981111099', 2016, NULL, NULL, NULL),
(6, '196006041982104000', '195608011981111099', 2016, NULL, NULL, NULL),
(7, '195608011981111099', '', 2016, 91, NULL, NULL),
(8, '', '', 2016, NULL, NULL, NULL),
(9, '', '', 2016, NULL, NULL, NULL),
(10, '', '', 2016, NULL, NULL, NULL),
(11, '199638011981111000', '199638011981111000', 2016, NULL, NULL, NULL),
(12, '199608011912111000', '199608011912111000', 2016, NULL, NULL, NULL),
(13, '185608011912111099', '185608011912111099', 2016, NULL, NULL, NULL),
(14, '185608011923111099', '', 2016, NULL, NULL, NULL),
(15, '196006041982116000', '', 2016, NULL, NULL, NULL),
(16, '185608011939111099', '', 2016, NULL, NULL, NULL),
(18, '195608011912121099', '196006041982116000', 2016, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `perilaku_kerja`
--

CREATE TABLE IF NOT EXISTS `perilaku_kerja` (
  `id_penilaian` int(11) NOT NULL,
`id_perilaku` int(11) NOT NULL,
  `pelayanan` int(11) NOT NULL,
  `integritas` int(11) NOT NULL,
  `komitmen` int(11) NOT NULL,
  `disiplin` int(11) NOT NULL,
  `kerjasama` int(11) NOT NULL,
  `kepemimpinan` int(11) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `perilaku_kerja`
--

INSERT INTO `perilaku_kerja` (`id_penilaian`, `id_perilaku`, `pelayanan`, `integritas`, `komitmen`, `disiplin`, `kerjasama`, `kepemimpinan`) VALUES
(1, 1, 90, 90, 90, 90, 100, 90),
(4, 4, 80, 80, 80, 84, 80, 85),
(5, 5, 70, 78, 90, 87, 90, 90),
(7, 6, 90, 92, 87, 89, 90, 95),
(6, 7, 90, 87, 98, 80, 80, 80),
(14, 8, 80, 87, 86, 75, 79, 82),
(15, 9, 90, 87, 88, 82, 81, 80),
(16, 10, 87, 89, 85, 77, 76, 75);

-- --------------------------------------------------------

--
-- Table structure for table `rekomendasi`
--

CREATE TABLE IF NOT EXISTS `rekomendasi` (
  `id_penilaian` int(11) NOT NULL,
`id_rekomendasi` int(11) NOT NULL,
  `rek_pelatihan` text,
  `rek_promosi` text,
  `rek_mutasi` text
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `rekomendasi`
--

INSERT INTO `rekomendasi` (`id_penilaian`, `id_rekomendasi`, `rek_pelatihan`, `rek_promosi`, `rek_mutasi`) VALUES
(4, 1, 'Pelatihan komputer', '-', '-'),
(14, 2, 'Pelatihan Memasak', '-', '-'),
(15, 3, 'Pelatihan Komputer Tingkat Lanjut', 'Promosi menjadi golongan IV/a dengan pangkat Pembina', '-'),
(1, 4, 'Pendidikan Komputer', 'Naik pangkat', '-');

-- --------------------------------------------------------

--
-- Table structure for table `skp`
--

CREATE TABLE IF NOT EXISTS `skp` (
  `id_penilaian` int(11) NOT NULL,
`id_skp` int(11) NOT NULL,
  `nilai` int(11) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `skp`
--

INSERT INTO `skp` (`id_penilaian`, `id_skp`, `nilai`, `status`) VALUES
(8, 1, NULL, 0),
(7, 2, NULL, 0),
(9, 3, NULL, 0),
(10, 4, NULL, 0),
(11, 5, NULL, 0),
(12, 6, NULL, 0),
(13, 7, NULL, 0),
(1, 8, NULL, 1),
(18, 10, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `username` varchar(20) NOT NULL,
  `password` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`username`, `password`) VALUES
('196006041982101099', '12345'),
('197006041992211098', '12345'),
('196006041982101000', '12345'),
('196006041982102000', '12345'),
('196006041982103000', '12345'),
('196006041982104000', '12345'),
('196006041982105000', '12345'),
('196006041982106000', '12345'),
('196006041982107000', '12345'),
('196006041982108000', '12345'),
('196006041982109000', '12345'),
('196006041982110000', '12345'),
('196006041982111000', '12345'),
('196006041982112000', '12345'),
('196006041982113000', '12345'),
('196006041982114000', '12345'),
('196006041982115000', '12345'),
('196006041982116000', '12345'),
('196006041982117000', '12345'),
('196006041982118000', '12345'),
('195608011981111099', '12345'),
('195608111981121099', '12345'),
('199638011981111000', '12345'),
('185609011981111099', '12345'),
('195608011981121098', '12345'),
('199608011321111000', '12345'),
('185608012181111099', '12345'),
('195608011945121099', '12345'),
('199608011967111000', '12345'),
('185608011923111099', '12345'),
('195608011912121099', '12345'),
('199608011911111000', '12345'),
('185608011939111099', '12345'),
('195608011924121099', '12345'),
('199608011912111000', '12345'),
('185608011912111099', '12345'),
('195608011912121089', '12345'),
('199608011981111012', '12345'),
('185608011981111032', '12345'),
('195608011981121034', '12345'),
('199608011981111056', '12345'),
('185608011981111090', '12345'),
('195608011981121021', '12345'),
('199608011981111035', '12345'),
('185608011981111036', '12345'),
('195608011981121037', '12345'),
('199608011981111038', '12345'),
('185608011981111019', '12345'),
('195608011981121123', '12345'),
('199608011981234509', '12345'),
('185608011981123099', '12345'),
('195608011981121001', '12345'),
('199608011981111002', '12345'),
('185608011981111003', '12345'),
('195608011981121004', '12345'),
('187608011981111056', '12345'),
('185608011981111267', '12345'),
('195608011981121145', '12345'),
('199608011981111198', '12345'),
('185608011981111135', '12345'),
('195608011981121165', '12345'),
('199608011981111987', '12345'),
('185608011981111007', '12345'),
('195608011981121008', '12345'),
('199608011981111065', '12345'),
('2014192637244100', '12345'),
('2014278576238800', '12345'),
('2014478951464210', '12345'),
('2015286269569210', '12345'),
('2015311327485270', '12345'),
('2015508497861740', '12345'),
('2015536421032900', '12345'),
('2015657213685290', '12345'),
('2015684823177430', '12345'),
('2015900118816010', '12345'),
('2016066004383380', '12345'),
('2016254049486640', '12345'),
('2016289530805820', '12345'),
('2016330475050240', '12345'),
('2016825881770810', '12345'),
('2016897513258270', '12345'),
('2017110125455790', '12345'),
('2017159415875960', '12345'),
('2017343811271180', '12345'),
('2017468989823060', '12345'),
('2017659113716100', '12345'),
('2017855839906790', '12345'),
('2017991136336180', '12345'),
('2018009717693510', '12345'),
('2018102551017260', '12345'),
('2018214874330190', '12345'),
('2018237127443920', '12345'),
('2018433022316180', '12345'),
('2018663572668090', '12345'),
('2018729968809760', '12345'),
('2019409187922960', '12345'),
('2019555116145560', '12345'),
('2019605822331530', '12345'),
('2019809121570960', '12345'),
('2019827730355770', '12345'),
('2019999660862900', '12345'),
('3000023409055700', '12345'),
('3000073340120600', '12345'),
('3000132845677900', '12345'),
('3003515754615100', '12345'),
('3004326594115700', '12345'),
('3006218525476400', '12345'),
('3007558846668660', '12345'),
('3011391237222900', '12345'),
('3011727527565500', '12345'),
('3014208536931660', '12345'),
('3015206660914300', '12345'),
('3020009891198500', '12345'),
('3020461813788100', '12345'),
('3020658176766960', '12345'),
('3020919850437600', '12345'),
('3021287861309500', '12345'),
('3021790256714200', '12345'),
('3022898581951680', '12345'),
('3024779664054900', '12345'),
('3026612135524300', '12345'),
('3029688207090500', '12345'),
('3034285847252500', '12345'),
('3037214591467450', '12345'),
('3037268962340000', '12345'),
('3038225850762900', '12345'),
('3038880598635600', '12345'),
('3044344696784200', '12345'),
('3046822451000140', '12345'),
('3047092688594700', '12345'),
('3048343405459100', '12345'),
('3049605798195700', '12345'),
('3049773236685300', '12345'),
('3051271461886300', '12345'),
('3054812177942700', '12345'),
('3379410977409960', '12345'),
('3379411145792780', '12345'),
('3379412710353460', '12345'),
('3379413142225470', '12345'),
('3379413634755330', '12345'),
('3379413899513010', '12345'),
('3379416251089630', '12345'),
('3379416994097190', '12345'),
('3379417077594930', '12345'),
('3379417722180030', '12345'),
('3379418047051340', '12345'),
('3379418855316310', '12345'),
('3379418998577580', '12345'),
('3379419106088590', '12345'),
('3379441766763620', '12345'),
('3427644488806230', '12345'),
('3445770881762450', '12345'),
('3459571899426960', '12345'),
('3466717660794390', '12345'),
('3487543847575660', '12345'),
('3528323591388620', '12345'),
('3528426674029030', '12345'),
('3528470965922550', '12345'),
('3528525016811050', '12345'),
('3528780488211370', '12345'),
('3529256254264500', '12345'),
('3529743711160630', '12345'),
('3529778962123380', '12345'),
('3530178393826990', '12345'),
('3530586588535250', '12345'),
('3530822056783280', '12345'),
('3531175262989130', '12345'),
('3531392753693150', '12345'),
('3531408373335400', '12345'),
('3531673411991400', '12345'),
('3531736424266780', '12345'),
('3531926426084600', '12345'),
('3532126560514590', '12345'),
('3532338376094460', '12345'),
('3532397459803230', '12345'),
('3532790967226080', '12345'),
('3532985574919170', '12345'),
('3533047498990130', '12345'),
('3533120977285980', '12345'),
('3533176998081610', '12345'),
('3533189411302080', '12345'),
('3533240630566210', '12345'),
('3533323749391470', '12345'),
('3533553204470100', '12345'),
('3533695137415360', '12345'),
('3533877184016720', '12345'),
('3534145727077630', '12345'),
('3534264031002040', '12345'),
('3534328553029510', '12345'),
('3534472062158410', '12345'),
('3534481224921160', '12345'),
('3534590439357780', '12345'),
('3534772625148820', '12345'),
('3535052847707250', '12345'),
('3535100761185890', '12345'),
('3535304497158850', '12345'),
('3535485908797670', '12345'),
('3535732009092050', '12345'),
('3535764005150010', '12345'),
('3535771411426050', '12345'),
('3535865914411730', '12345'),
('3536044034492270', '12345'),
('3536100153174040', '12345'),
('3536122047217130', '12345'),
('3536211533361860', '12345'),
('3536309919311340', '12345'),
('3536536844631850', '12345'),
('3536719589739150', '12345'),
('3536786580383780', '12345'),
('3536895165922930', '12345'),
('3536917928165360', '12345'),
('3537092786213990', '12345'),
('3537196860422760', '12345'),
('3537316529846850', '12345'),
('3537350168316560', '12345'),
('3537689686733610', '12345'),
('3537830353692990', '12345'),
('3538110845314870', '12345'),
('3538225452899250', '12345'),
('3538239124253860', '12345'),
('3538359254486470', '12345'),
('3538396043577990', '12345'),
('3538588018691810', '12345'),
('3538618761986840', '12345'),
('3538896061631160', '12345'),
('3539009970263330', '12345'),
('3539064208528570', '12345'),
('3539267835105190', '12345'),
('3539433271910660', '12345'),
('3539508557482790', '12345'),
('3539578781812070', '12345'),
('3539647951387130', '12345'),
('3539751504519510', '12345'),
('3539838969424360', '12345'),
('3539856513893410', '12345'),
('3539942853195950', '12345'),
('3539991494976830', '12345'),
('3540113667409360', '12345'),
('3540218963152520', '12345'),
('3540226843572140', '12345'),
('3540414603904300', '12345'),
('3540613348067360', '12345'),
('3540626729035540', '12345'),
('3540715922796610', '12345'),
('3540811882107590', '12345'),
('3540818973019630', '12345'),
('3540828393884920', '12345'),
('3540905478143570', '12345'),
('3541158682527720', '12345'),
('3541198393707590', '12345'),
('3541292469430430', '12345'),
('3541530767781290', '12345'),
('3541618805325970', '12345'),
('3541946396400270', '12345'),
('3542259989384760', '12345'),
('3542266078668630', '12345'),
('3542660368580130', '12345'),
('3542897952737200', '12345'),
('3543065218886080', '12345'),
('3543129755677460', '12345'),
('3543567132599490', '12345'),
('3543659725096300', '12345'),
('3543714342202560', '12345'),
('3543787640678690', '12345'),
('3544103634567400', '12345'),
('3544227480152460', '12345'),
('3544602531134760', '12345'),
('3544915227679380', '12345'),
('3544923418828260', '12345'),
('3544977460147970', '12345'),
('3545152228404580', '12345'),
('3545209853330370', '12345'),
('3545277109394860', '12345'),
('3545297200377680', '12345'),
('3545408919216340', '12345'),
('3545425932896140', '12345'),
('3545518000244670', '12345'),
('3545710388464650', '12345'),
('3546001021019910', '12345'),
('3546098568902510', '12345'),
('3546124616148490', '12345'),
('3546159711612030', '12345'),
('3546464903586020', '12345'),
('3546485790926510', '12345'),
('3546639245699610', '12345'),
('3547173705493570', '12345'),
('3547232561681850', '12345'),
('3547465225213030', '12345'),
('3547566210448890', '12345'),
('3548412700426160', '12345'),
('3548646865164670', '12345'),
('3548957084708170', '12345'),
('3549029205600620', '12345'),
('3549201982194070', '12345'),
('3549358504548150', '12345'),
('3549742836040720', '12345'),
('3549769783080490', '12345'),
('3549873374434760', '12345'),
('3549921227010860', '12345'),
('3550022063600700', '12345'),
('3550039724915900', '12345'),
('3550222498342270', '12345'),
('3550274896943430', '12345'),
('3550318724394930', '12345'),
('3550388126436280', '12345'),
('3550427818179570', '12345'),
('3550521576583950', '12345'),
('3550569595137530', '12345'),
('3550866849805010', '12345'),
('3550912594559790', '12345'),
('3550964520270280', '12345'),
('3551084352558090', '12345'),
('3551538542059650', '12345'),
('3551750255484380', '12345'),
('3551791269783120', '12345'),
('3551883974173990', '12345'),
('3552004545834710', '12345'),
('3552053985606290', '12345'),
('3552106545967990', '12345'),
('3552268533345060', '12345'),
('3552379373481820', '12345'),
('3552888015084890', '12345'),
('3553322556947040', '12345'),
('3553337468252370', '12345'),
('3553558208188610', '12345'),
('3553607959036290', '12345'),
('3553623573104210', '12345'),
('3553787301589570', '12345'),
('3553792194096950', '12345'),
('3553807649949400', '12345'),
('3553836349236960', '12345'),
('3554026926243720', '12345'),
('3554269146431200', '12345'),
('3554282395818930', '12345'),
('3554563984721750', '12345'),
('3554900371055790', '12345'),
('3554963636168970', '12345'),
('3555018841559920', '12345'),
('3555029839123250', '12345'),
('3555143229977880', '12345'),
('3555266213351060', '12345'),
('3555469115784890', '12345'),
('3556207174585510', '12345'),
('3556262297360020', '12345'),
('3556294438544850', '12345'),
('3556330738275880', '12345'),
('3556579239786420', '12345'),
('3556592753106810', '12345'),
('3556660368624580', '12345'),
('3556793824255520', '12345'),
('3557032891625830', '12345'),
('3557150053613750', '12345'),
('3557376631799170', '12345'),
('3557513126300950', '12345'),
('3557747861143230', '12345'),
('3558063208752680', '12345'),
('3558284629950680', '12345'),
('3558330719318220', '12345'),
('3558684185693880', '12345'),
('3558699261147950', '12345'),
('3558736495077970', '12345'),
('3558788647844980', '12345'),
('3558803555096520', '12345'),
('3558839980202100', '12345'),
('3558884156190040', '12345'),
('3559199618383180', '12345'),
('3559394458639540', '12345'),
('3559732733704750', '12345'),
('3559846490645800', '12345'),
('3559891917196550', '12345'),
('3560004831741750', '12345'),
('3560064875075390', '12345'),
('3560082780981170', '12345'),
('3560296231755760', '12345'),
('3560398463341130', '12345'),
('3560445600475460', '12345'),
('3560520460100130', '12345'),
('3560534793235130', '12345'),
('3560686147922040', '12345'),
('3561156663465750', '12345'),
('3561161796506060', '12345'),
('3561184638854790', '12345'),
('3561270369661590', '12345'),
('3561479706611930', '12345'),
('3561991272121370', '12345'),
('3562174716071000', '12345'),
('3562390251842870', '12345'),
('3562534211839730', '12345'),
('3562625775980530', '12345'),
('3562701657329540', '12345'),
('3563316483477770', '12345'),
('3563527235397850', '12345'),
('3563664277469850', '12345'),
('3563701559979960', '12345'),
('3563756189476760', '12345'),
('3563785282090440', '12345'),
('3563841726562520', '12345'),
('3564150903763160', '12345'),
('3564372534267290', '12345'),
('3564589787300670', '12345'),
('3564716710245470', '12345'),
('3564929807803620', '12345'),
('3564953944235200', '12345'),
('3565296784260720', '12345'),
('3565359525481880', '12345'),
('3565437790409420', '12345'),
('3565546124315260', '12345'),
('3565607100559730', '12345'),
('3565657899502340', '12345'),
('3565764487660430', '12345'),
('3565912682579500', '12345'),
('3565930656048880', '12345'),
('3565952861408550', '12345'),
('3566300499542800', '12345'),
('3566460279826530', '12345'),
('3566483430286140', '12345'),
('3566930414128380', '12345'),
('3567170115439800', '12345'),
('3567175459879340', '12345'),
('3567453101077730', '12345'),
('3567476173110780', '12345'),
('3567589916287630', '12345'),
('3567624557201100', '12345'),
('3567971734608850', '12345'),
('3568249994669410', '12345'),
('3568570185230520', '12345'),
('3569027920755540', '12345'),
('3569148096363470', '12345'),
('3569228711191970', '12345'),
('3569312648764780', '12345'),
('3569455330739730', '12345'),
('3569502797753560', '12345'),
('3569767750810800', '12345'),
('3569940394135070', '12345'),
('3570330570027890', '12345'),
('3570431622166020', '12345'),
('3570576082099860', '12345'),
('3570953500773320', '12345'),
('3571208689105810', '12345'),
('3571283352409750', '12345'),
('3571426155772870', '12345'),
('3571961687941620', '12345'),
('3572007222455920', '12345'),
('3572037186757930', '12345'),
('3572048805684740', '12345'),
('3572130238504340', '12345'),
('3572137858621860', '12345'),
('3572751730687600', '12345'),
('3573245946050510', '12345'),
('3573414600853740', '12345'),
('3573542075732020', '12345'),
('3573562293911780', '12345'),
('3573574486905910', '12345'),
('3574060952558020', '12345'),
('3574143912146200', '12345'),
('3574202968362630', '12345'),
('3574212403320340', '12345'),
('3574614461231120', '12345'),
('3574635957272020', '12345'),
('3574670942559290', '12345'),
('3574674559246770', '12345'),
('3574739867139170', '12345'),
('3574812491814310', '12345'),
('3574937596292930', '12345'),
('3574940832907460', '12345'),
('3575219851134990', '12345'),
('3575257603992340', '12345'),
('3575299127083650', '12345'),
('3575395923862750', '12345'),
('3575529027769810', '12345'),
('3575545806738430', '12345'),
('3575816442195520', '12345'),
('3575910175103350', '12345'),
('3575957166627880', '12345'),
('3576270764789000', '12345'),
('3576566129646620', '12345'),
('3576736294657880', '12345'),
('3576988688943570', '12345'),
('3577090014995100', '12345'),
('3577236274960750', '12345'),
('3577242062965010', '12345'),
('3577296323466730', '12345'),
('3577308492857940', '12345'),
('3577663372326270', '12345'),
('3577730392086810', '12345'),
('3578058741307680', '12345'),
('3578183367109440', '12345'),
('3578357666159120', '12345'),
('3578488330172270', '12345'),
('3578494384958760', '12345'),
('3578501811131570', '12345'),
('3578668103517040', '12345'),
('3578698734417390', '12345'),
('3578777286173270', '12345'),
('3579090716431580', '12345'),
('3579171627784030', '12345'),
('3579315578173460', '12345'),
('3579505538925980', '12345'),
('3579856135335970', '12345'),
('3579934973620460', '12345'),
('3580334930916930', '12345'),
('3580420959347260', '12345'),
('3580721549898730', '12345'),
('3580747736826290', '12345'),
('3580822965566150', '12345'),
('3581004507982890', '12345'),
('3581137389134070', '12345'),
('3581150475313640', '12345'),
('3581399285731540', '12345'),
('3581513303484190', '12345'),
('3581519706871610', '12345'),
('3581539648373300', '12345'),
('3581541673743480', '12345'),
('3581645992733590', '12345'),
('3581747524467860', '12345'),
('3581789131118170', '12345'),
('3581955967179980', '12345'),
('3581963481078400', '12345'),
('3581964474440850', '12345'),
('3582105145712990', '12345'),
('3582146741889650', '12345'),
('3582160969931740', '12345'),
('3582208598428780', '12345'),
('3582228640942780', '12345'),
('3582376066076240', '12345'),
('3582526845671980', '12345'),
('3582547440645610', '12345'),
('3582771495440550', '12345'),
('3582822501729150', '12345'),
('3582908230490510', '12345'),
('3583341330527130', '12345'),
('3583364890534410', '12345'),
('3583505900121940', '12345'),
('3583568454794670', '12345'),
('3583572859876650', '12345'),
('3583620113483480', '12345'),
('3583758303525270', '12345'),
('3583931691742050', '12345'),
('3583932566891510', '12345'),
('3583955620647890', '12345'),
('3584050550438270', '12345'),
('3584177103833900', '12345'),
('3584311233490850', '12345'),
('3584472130263580', '12345'),
('3584860445686860', '12345'),
('3584900349756780', '12345'),
('3584922617774590', '12345'),
('3585216498843430', '12345'),
('3585442880408000', '12345'),
('3585732415893800', '12345'),
('3585978579703570', '12345'),
('3586052099390330', '12345'),
('3586375893426270', '12345'),
('3586722302015780', '12345'),
('3586992962126990', '12345'),
('3587001877540830', '12345'),
('3587356726243750', '12345'),
('3587401539046780', '12345'),
('3587536252477420', '12345'),
('3587914576315470', '12345'),
('3587930769152430', '12345'),
('3587979362619210', '12345'),
('3588039865193740', '12345'),
('3588148144252210', '12345'),
('3588304365758200', '12345'),
('3588408473243560', '12345'),
('3588795753134100', '12345'),
('3588825569374010', '12345'),
('3589065114643050', '12345'),
('3589094743452180', '12345'),
('3589191928214820', '12345'),
('3589400450899340', '12345'),
('3589666122085340', '12345'),
('3589693853421220', '12345'),
('3589775601606250', '12345'),
('3589872970967410', '12345'),
('3589964232911640', '12345'),
('3612720974808500', '12345'),
('3638485469035700', '12345'),
('3642925258633300', '12345'),
('3666480368672500', '12345'),
('3674438783048300', '12345'),
('3691014107699000', '12345'),
('3704320996983490', '12345'),
('3723010859694930', '12345'),
('3723012080954810', '12345'),
('3723012661827420', '12345'),
('3723014950952510', '12345'),
('3723015027282820', '12345'),
('3723015379004840', '12345'),
('3723016856012150', '12345'),
('3723019396980820', '12345'),
('3742833278178390', '12345'),
('3742833486918660', '12345'),
('3742835699077690', '12345'),
('3742837121281640', '12345'),
('3742837444495050', '12345'),
('3742883012292570', '12345'),
('3742887202625740', '12345'),
('3742888205655790', '12345'),
('3742889617257350', '12345'),
('3746221825595900', '12345'),
('3746223299126370', '12345'),
('3746225200023370', '12345'),
('3746225391477840', '12345'),
('3746225574166650', '12345'),
('3746226339916320', '12345'),
('3746227469835260', '12345'),
('3746227586086720', '12345'),
('3756882406699280', '12345'),
('3761619642463140', '12345'),
('3782763152959560', '12345'),
('3792119386392630', '12345'),
('4017950485748820', '12345'),
('4017950797424730', '12345'),
('4017952004964350', '12345'),
('4017953128154000', '12345'),
('4017954421244540', '12345'),
('4017955385996140', '12345'),
('4017957176100670', '12345'),
('4017959573597170', '12345'),
('4023474684097000', '12345'),
('4026099028274680', '12345'),
('4026277347953870', '12345'),
('4026402232845390', '12345'),
('4026414510958840', '12345'),
('4026490542871190', '12345'),
('4026669132515530', '12345'),
('4026673603800460', '12345'),
('4026675930377830', '12345'),
('4026755869390620', '12345'),
('4026980022751460', '12345'),
('4041374751626970', '12345'),
('4041374786554350', '12345'),
('4041375737475000', '12345'),
('4041376553269310', '12345'),
('4041376618905620', '12345'),
('4041377333299000', '12345'),
('4041378304260740', '12345'),
('4041590254629720', '12345'),
('4041592079134810', '12345'),
('4041593284995000', '12345'),
('4041594192274210', '12345'),
('4041594959645000', '12345'),
('4041595714957000', '12345'),
('4041597450071000', '12345'),
('4041597830118350', '12345'),
('4041598245089150', '12345'),
('4041598718468000', '12345'),
('4095533757287060', '12345'),
('4127759469148000', '12345'),
('4127956516888490', '12345'),
('4175005349026330', '12345'),
('4175005812436640', '12345'),
('4175006905843080', '12345'),
('4175007546919030', '12345'),
('4175007709121470', '12345'),
('4175007958932980', '12345'),
('4175008253998030', '12345'),
('4219610965407870', '12345'),
('4329439141102080', '12345'),
('4405106494084400', '12345'),
('4405127293886320', '12345'),
('4405437239300000', '12345'),
('4405481280304570', '12345'),
('4405693461248230', '12345'),
('4405718610546240', '12345'),
('4405917613060510', '12345'),
('4508310167099250', '12345'),
('4508526137902390', '12345'),
('4508653513792820', '12345'),
('4508819013379530', '12345'),
('4530537521506590', '12345'),
('4628958596339680', '12345'),
('4669459737068000', '12345'),
('4844050386664800', '12345'),
('4844071000238740', '12345'),
('4844129712851620', '12345'),
('4844136310888920', '12345'),
('4844217852467010', '12345'),
('4844447538023080', '12345'),
('4844774208678570', '12345'),
('4844837325654980', '12345'),
('4844842383397520', '12345'),
('4844914969842890', '12345'),
('4844917582020510', '12345'),
('4903210318798040', '12345'),
('4903375924476160', '12345'),
('4903410663431790', '12345'),
('4903586547774740', '12345'),
('4903665232472850', '12345'),
('4903666921470650', '12345'),
('4903734427467640', '12345'),
('4903849882590150', '12345'),
('4905015417723880', '12345'),
('4905208780904570', '12345'),
('4905264079400970', '12345'),
('4905324886632510', '12345'),
('4905336832096540', '12345'),
('4905337086339860', '12345'),
('4905355862161770', '12345'),
('4905385472472040', '12345'),
('4905412280868010', '12345'),
('4905428777717230', '12345'),
('4905437631632500', '12345'),
('4905515560965750', '12345'),
('4905883745140870', '12345'),
('4905894193430420', '12345'),
('4905910151910340', '12345'),
('4911023577572080', '12345'),
('4911034994184240', '12345'),
('4911496822798080', '12345'),
('4911588257717270', '12345'),
('4911821328557620', '12345'),
('4911830594077170', '12345'),
('4911905873170480', '12345'),
('4913018634805010', '12345'),
('4913028399889140', '12345'),
('4913347871778030', '12345'),
('4913467891291860', '12345'),
('4913770389352460', '12345'),
('4913780170840770', '12345'),
('4913808151632790', '12345'),
('4913856433740910', '12345'),
('4913934722147910', '12345'),
('4913970481870770', '12345'),
('4917060682088450', '12345'),
('4917187414945390', '12345'),
('4917369064211920', '12345'),
('4917403807845580', '12345'),
('4936025069972820', '12345'),
('4936137376725460', '12345'),
('4936430820063670', '12345'),
('4936433684289120', '12345'),
('4936517311289400', '12345'),
('4936552776583690', '12345'),
('4936602009533580', '12345'),
('4936799327998870', '12345'),
('4936815557992050', '12345'),
('4936892449558190', '12345'),
('4936987046152190', '12345'),
('4942628703687010', '12345'),
('5002350603581240', '12345'),
('5002353921035630', '12345'),
('5002356041497690', '12345'),
('5002357357319700', '12345'),
('5007660500391330', '12345'),
('5007663904882440', '12345'),
('5007666515420930', '12345'),
('5007666863194600', '12345'),
('5007667456126160', '12345'),
('5010121069365550', '12345'),
('5010121096700270', '12345'),
('5010123016448120', '12345'),
('5010123101637190', '12345'),
('5010126900756440', '12345'),
('5010127388508140', '12345'),
('5010127950474200', '12345'),
('5018086517338870', '12345'),
('5018126337376630', '12345'),
('5018468935106030', '12345'),
('5018546321856280', '12345'),
('5018590497265110', '12345'),
('5018619214820190', '12345'),
('5018788283938570', '12345'),
('5018885715357390', '12345'),
('5020047879089270', '12345'),
('5020182385374460', '12345'),
('5020307954037580', '12345'),
('5020343523038320', '12345'),
('5020366219146570', '12345'),
('5020506526675340', '12345'),
('5020618667172150', '12345'),
('5020946517428710', '12345'),
('5020955654718680', '12345'),
('5020962668486680', '12345'),
('5038025261632030', '12345'),
('5038039371082390', '12345'),
('5038444324812810', '12345'),
('5048372843352040', '12345'),
('5048378438838870', '12345'),
('5048379676035410', '12345'),
('5100130474662310', '12345'),
('5100131568181650', '12345'),
('5100132435088110', '12345'),
('5100133276084010', '12345'),
('5100133919104200', '12345'),
('5100135191844050', '12345'),
('5100135860645650', '12345'),
('5100136701522570', '12345'),
('5100139715738490', '12345'),
('5100140263228450', '12345'),
('5100143138715340', '12345'),
('5100144109595150', '12345'),
('5100144835688920', '12345'),
('5100145969502470', '12345'),
('5100146752952510', '12345'),
('5100173212461210', '12345'),
('5100173895472170', '12345'),
('5100177760125260', '12345'),
('5100179983694370', '12345'),
('5100655420154640', '12345'),
('5105163528195240', '12345'),
('5108751475212090', '12345'),
('5108753050804400', '12345'),
('5108753655758720', '12345'),
('5108755676005600', '12345'),
('5108755941948070', '12345'),
('5108756285483280', '12345'),
('5108756588709600', '12345'),
('5131849315965570', '12345'),
('5147664346822840', '12345'),
('5167310918730800', '12345'),
('5173019851367430', '12345'),
('5177168230014900', '12345'),
('5210394580302880', '12345'),
('5212039405124800', '12345'),
('5249443433180640', '12345'),
('5266120448357700', '12345'),
('5295143893048620', '12345'),
('5301833407537140', '12345'),
('5321403503095750', '12345'),
('5332073066097670', '12345'),
('5341981939687780', '12345'),
('5347943932661460', '12345'),
('5355489055589940', '12345'),
('5366350786161010', '12345'),
('5373525331647500', '12345'),
('5397093554661780', '12345'),
('5405008121170720', '12345'),
('5412098922883440', '12345'),
('5422013868698000', '12345'),
('5437699275232070', '12345'),
('5439049450146080', '12345'),
('5442100404044030', '12345'),
('5449693106456250', '12345'),
('5465149764211600', '12345'),
('5468812729439180', '12345'),
('5481366521890620', '12345'),
('5501007431872130', '12345'),
('5514333282446440', '12345'),
('5515442709295640', '12345'),
('5521568991869230', '12345'),
('5529773389348200', '12345'),
('5530010637997760', '12345'),
('5531554186143210', '12345'),
('5546798808945300', '12345'),
('5555622525721780', '12345'),
('5565379809851480', '12345'),
('5565549688041300', '12345'),
('5565601912652840', '12345'),
('5567773538724200', '12345'),
('5574871653119630', '12345'),
('5587042640093150', '12345'),
('5595872924626630', '12345'),
('5597184460231560', '12345'),
('5602211375771000', '12345'),
('5602212123043030', '12345'),
('5602212183466020', '12345'),
('5602213532170230', '12345'),
('5602215947188920', '12345'),
('5602219424303530', '12345'),
('5602220910092460', '12345'),
('5602222859168250', '12345'),
('5602223392106300', '12345'),
('5602225032993800', '12345'),
('5602225745329120', '12345'),
('5602225965068440', '12345'),
('5602226137446370', '12345'),
('5602227257208140', '12345'),
('5602228864832180', '12345'),
('5602229516283720', '12345'),
('5602230196335210', '12345'),
('5602230931301290', '12345'),
('5602231592771070', '12345'),
('5602231698803740', '12345'),
('5602231815890760', '12345'),
('5602231933714560', '12345'),
('5602235082453870', '12345'),
('5602235505644140', '12345'),
('5602236653776020', '12345'),
('5602237076420460', '12345'),
('5602238088826980', '12345'),
('5602239935003620', '12345'),
('5602239975388440', '12345'),
('5602241069851360', '12345'),
('5602241137099930', '12345'),
('5602241535491920', '12345'),
('5602241892701470', '12345'),
('5602243856745700', '12345'),
('5602244396188020', '12345'),
('5602244779549530', '12345'),
('5602245734289170', '12345'),
('5602246835577520', '12345'),
('5602247187927180', '12345'),
('5602247934363470', '12345'),
('5602248621691940', '12345'),
('5602248995788410', '12345'),
('5602249986571320', '12345'),
('5602250907418330', '12345'),
('5602251261989020', '12345'),
('5602252369723000', '12345'),
('5602254404338360', '12345'),
('5602254470873110', '12345'),
('5602254522877050', '12345'),
('5602255196723900', '12345'),
('5602255912160890', '12345'),
('5602256353051560', '12345'),
('5602256953148400', '12345'),
('5602259018718600', '12345'),
('5602259113413040', '12345'),
('5602259267236880', '12345'),
('5602259323604040', '12345'),
('5610074986563100', '12345'),
('5610137394986200', '12345'),
('5610171981004800', '12345'),
('5610225248916230', '12345'),
('5610275226897150', '12345'),
('5610321601022530', '12345'),
('5610340181443320', '12345'),
('5610365472724340', '12345'),
('5610393094088420', '12345'),
('5610465017453610', '12345'),
('5610496368280810', '12345'),
('5610524527340600', '12345'),
('5610630181482480', '12345'),
('5610654235764310', '12345'),
('5610669106503310', '12345'),
('5610843761996840', '12345'),
('5610848313997030', '12345'),
('5641820392050660', '12345'),
('5641820431111860', '12345'),
('5641820720293040', '12345'),
('5641822198195320', '12345'),
('5641823289593060', '12345'),
('5641825645906840', '12345'),
('5641826716724000', '12345'),
('5641827820558270', '12345'),
('5893001008503130', '12345'),
('5893275769404530', '12345'),
('5893716925208990', '12345'),
('5893784071736790', '12345'),
('5893928970672950', '12345'),
('5893942417768760', '12345'),
('6040336590268570', '12345'),
('6040958726805520', '12345'),
('6043148323546460', '12345'),
('6043398308277730', '12345'),
('6044164336002070', '12345'),
('6044198258336730', '12345'),
('6044409421710940', '12345'),
('6044827164625440', '12345'),
('6044953258056300', '12345'),
('6045295492316840', '12345'),
('6047110037091230', '12345'),
('6048325371192560', '12345'),
('6304004988183100', '12345'),
('6304100131919020', '12345'),
('6304329579420870', '12345'),
('6304429268783360', '12345'),
('6304632196609240', '12345'),
('6304712851884470', '12345'),
('6304852373981050', '12345'),
('6304875699450020', '12345'),
('6304968610575010', '12345'),
('6331100783410820', '12345'),
('6331102038179350', '12345'),
('6331102312458530', '12345'),
('6331106031210530', '12345'),
('6331106079352270', '12345'),
('6331107047942280', '12345'),
('6333308036676390', '12345'),
('6333341949586660', '12345'),
('6333560465488390', '12345'),
('6333791378203430', '12345'),
('6333919895820110', '12345'),
('6334094286289310', '12345'),
('6334207967886150', '12345'),
('6334471587456900', '12345'),
('6334483771271190', '12345'),
('6334560049975920', '12345'),
('6334782512909060', '12345'),
('6334876191160020', '12345'),
('6370717447133910', '12345'),
('6371343437950030', '12345'),
('6371648581013590', '12345'),
('6373024530192980', '12345'),
('6373971501671680', '12345'),
('6374225930950960', '12345'),
('6375544596100490', '12345'),
('6375976182102370', '12345'),
('6384182226939350', '12345'),
('6385223583962200', '12345'),
('6386771667247840', '12345'),
('6387367869923100', '12345'),
('6388321315505490', '12345'),
('6391165604109390', '12345'),
('6391294247310900', '12345'),
('6391844705688180', '12345'),
('6393260249298430', '12345'),
('6396489164796820', '12345'),
('6396729327603140', '12345'),
('6397556633160910', '12345'),
('6398489938301550', '12345'),
('6706328912797000', '12345'),
('6706531517336370', '12345'),
('6706550132844000', '12345'),
('6706628747573230', '12345'),
('6706674083273920', '12345'),
('6706741058673120', '12345'),
('6706963715894950', '12345'),
('6709190501121150', '12345'),
('6709289710375280', '12345'),
('6709552377688490', '12345'),
('6709829630334460', '12345'),
('6759028062951600', '12345'),
('6759161861551030', '12345'),
('6759216472541730', '12345'),
('6759280680438340', '12345'),
('6759462281163760', '12345'),
('6759531201805410', '12345'),
('6759569522961600', '12345'),
('6759649417478540', '12345'),
('6759650582655010', '12345'),
('6759710003763980', '12345'),
('6759721059825250', '12345'),
('6759782552971520', '12345'),
('6759858269529000', '12345'),
('6759866945584350', '12345'),
('6759978803785310', '12345'),
('6761279878540450', '12345'),
('6761390359520480', '12345'),
('6761708523756460', '12345'),
('6761798122230180', '12345'),
('6761945669761640', '12345'),
('6762357676674910', '12345'),
('6762380748305620', '12345'),
('6762406509313350', '12345'),
('6762686243826070', '12345'),
('6762824568512410', '12345'),
('6762825953197440', '12345'),
('6762941513382200', '12345'),
('6763210606293020', '12345'),
('6763284816337020', '12345'),
('6763305092192690', '12345'),
('6763351619597160', '12345'),
('6763440142423870', '12345'),
('6763443862789450', '12345'),
('6763478586455500', '12345'),
('6763608582514510', '12345'),
('6763651217762320', '12345'),
('6763970197521460', '12345'),
('6767088345545640', '12345'),
('6767146185159090', '12345'),
('6767791445244730', '12345'),
('6771046969363430', '12345'),
('6771148818270740', '12345'),
('6771176988129260', '12345'),
('6771338275902120', '12345'),
('6771376387610140', '12345'),
('6771388951537250', '12345'),
('6771403639007480', '12345'),
('6771681502278250', '12345'),
('6771787371264350', '12345'),
('6771815864476260', '12345');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `kegiatan`
--
ALTER TABLE `kegiatan`
 ADD PRIMARY KEY (`id_kegiatan`), ADD KEY `idx_skp` (`id_skp`);

--
-- Indexes for table `penilaian`
--
ALTER TABLE `penilaian`
 ADD PRIMARY KEY (`id_penilaian`);

--
-- Indexes for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
 ADD PRIMARY KEY (`id_perilaku`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- Indexes for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
 ADD PRIMARY KEY (`id_rekomendasi`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- Indexes for table `skp`
--
ALTER TABLE `skp`
 ADD PRIMARY KEY (`id_skp`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `kegiatan`
--
ALTER TABLE `kegiatan`
MODIFY `id_kegiatan` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=17;
--
-- AUTO_INCREMENT for table `penilaian`
--
ALTER TABLE `penilaian`
MODIFY `id_penilaian` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=19;
--
-- AUTO_INCREMENT for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
MODIFY `id_perilaku` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
MODIFY `id_rekomendasi` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `skp`
--
ALTER TABLE `skp`
MODIFY `id_skp` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `kegiatan`
--
ALTER TABLE `kegiatan`
ADD CONSTRAINT `kegiatan_fk1` FOREIGN KEY (`id_skp`) REFERENCES `skp` (`id_skp`);

--
-- Constraints for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
ADD CONSTRAINT `perilaku_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

--
-- Constraints for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
ADD CONSTRAINT `rekomendasi_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

--
-- Constraints for table `skp`
--
ALTER TABLE `skp`
ADD CONSTRAINT `skp_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
